SynthDef(\ricc, {
	arg out = [0], freq1 = 1, freq2 = 1, amp1 = 0.1, amp2 = 0.1, genamp = 1,  attack = 0.1, sustain = 2, release = 0.15;
	var range, env, signal;
	
	env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);

[	0, 1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3]
//	0.3, 0.25, 0.2, 0.18, 0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
.do{|harmonic, i|
	signal = signal.add(
	BPF.ar(WhiteNoise.ar(Line.kr(amp1, amp2, sustain)*7), XLine.kr(freq1*(i+1), freq2*(i+1), sustain), 0.003,
	(600+(freq1*i)/600).reciprocal
	*harmonic)
	)};
	signal = Mix.new(signal);
/*	
	signal = BrownNoise.ar(Line.kr(amp1, amp2, sustain) /3 /(range+0.01));
	signal = BPF.ar(signal, XLine.kr(freq1, freq2, sustain), Lag.kr(range, 0.3));
*/
	signal = Mix.new([signal, Saw.ar(XLine.kr(freq1, freq2, sustain), 0, amp1/3)]);
	signal = signal*SinOsc.kr(6);
	signal = Pan2.ar(signal) *env;
	Out.ar(out, genamp * signal)
	}).load(s); 
