// You can now specify the device to start with 
// the string is "API : DeviceName"
// NOTE: you need to specify a string that is a substring of
// 	the 2 device names that specify input and output to
//	have both devices recognised correctly
//	Your options will be printed each time the server starts

// examples
s.options.device_("ASIO : ASIO4ALL v2");
//s.options.device_("MME : Microsoft Soundmapper");
//s.options.device_("MME : Realtek AC97 Audio");
//s.options.dump;

s.options.memSize_(8192*4);
s.options.numAudioBusChannels_(64);
s.options.numControlBusChannels_(512);
s.options.numInputBusChannels_(2);
s.options.numOutputBusChannels_(2);
// s.options.device_("io|2");
s.options.hardwareBufferSize_(2048);

/*
s.options.maxNodes_(1024*8);
s.options.numBuffers_(32);
*/

//SwingOSC.program = "SwingOSC/build/SwingOSC.jar";
o = SwingOptions.new;
o.protocol_('tcp');
o.oscBufSize_(65536*0.25);
// o.javaOptions_("-Xms400M - Xmx500M");
// SwingOptions.default = o;


SwingOSC.program = "SwingOSC.jar";
g=SwingOSC.default;
// g.quit;
g.options = o;
// make window for server
g.waitForBoot({ s.makeWindow();
	s.waitForBoot({
	load(""++String.scDir++Platform.pathSeparator++"KlavQuint"++Platform.pathSeparator++"KlavQuintFunc.scd")
	//load(""++String.scDir++Platform.pathSeparator++"KlavQuint"++Platform.pathSeparator++"KlavQuintPart.scd")
	})
 });
                                                   