var

wkDir = 
Platform.case(
	\osx, {if
		(("whoami".unixCmdGetStdOut).contains("valentin"))
			{wkDir = "/Sync/SuperCollider/Komps/KlavQuint"}
			{String.scDir++Platform.pathSeparator++"KlavQuint"}
		},
// wkDir = "/Users/admin/Desktop/SC/Komps/KlavQuint",
	\windows, {String.scDir++Platform.pathSeparator++"KlavQuint"}),

	// notation, 

	files, // fileWin, 

// VARIABLEN PARTITUR
	// notes = Order.fill,

// folder = "/Sync/SuperCollider/Kreuzschwinger/",

recbuf,
recsyn,

tempamp = 2.5,
documentSearch,
language,
	// SaveOptions
fileNum,
saveView, optionsArray,
editMode,
oscMode

;

editMode = false; oscMode = false;

editMode = 	if(("whoami".unixCmdGetStdOut).contains("valentin"), {true}, {false});
if(~manualEdit.isNil, {}, {editMode = ~manualEdit});
("editMode"+editMode).postln;
oscMode = 	if(("whoami".unixCmdGetStdOut).contains("valentin"), {true}, {false});
if(~standardStereoOut.isNil, ~standardStereoOut = 0);

Document.wikiDir_(wkDir++Platform.pathSeparator++"Modules");

// time = if(~timeExport.isNil, {0}, {~timeExport});
// zoom = if(Window.screenBounds.height > 900, {10}, {7});
documentSearch =1;


// VARIABLEN >>


// << BUFFER





// BUFFER >>





// << SYNTHDEFS



// -------------------- SYNTH DEFS ----------------------------------
// SynthDefs

SynthDef(\InOut, {
	arg out = 20, 
	in = 20, amp =1;
	var signal;
	signal = In.ar(in, 1);
	Out.ar(out, signal*amp)

	}).send(s);



/*
SynthDef.new(\Ton, {arg out = [0, 1], freq1 = 1, freq2 = 1, amp1 = 0.1, amp2 = 0.1, genamp = 1, attack = 0.01, sustain = 2, release = 0.05;
	var env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);
	Out.ar(out, genamp * Saw.ar(XLine.kr(freq1, freq2, sustain), mul: XLine.kr(amp1, amp2, sustain)/10 *env))}).send(s);
*/

load(Document.wikiDir++"piano.scd");
load(Document.wikiDir++"pianoFlag.scd");
load(Document.wikiDir++"pianoRicc.scd");

load(Document.wikiDir++"arco.scd");

load(Document.wikiDir++"arcoFlag.scd");

load(Document.wikiDir++"ricc.scd");


SynthDef(\pitch, {
	arg out = 100, in =0;
	var signal, freq, hasFreq, imp, delimp;
	imp = Impulse.kr(10);
	// delimp = Delay1.kr(imp);
	signal = In.ar(in);
	# freq, hasFreq = Pitch.kr(signal, ampThreshold: 0.005, median: 1);
	// Out.kr(out, freq);
	SendReply.kr(imp, '/liveFreq', [freq, in]);

	}).load(s); 



// SYNTHDEFS >>



// << FUNCTIONS


/*
~buslag = {| busnum, time, aim |
		ampBus[busnum].get{|val| var coef;
		coef = aim - val / time / 100;
		Routine{
		(time*100).do{|i| 
		~busse[busnum].set(val + (i * coef));
		0.01.wait;
		}}.play
		}};
*/
// FUNCTIONS >>

















// CHOOSE DIALOG

~chooseDialog = {arg direct = "KlavQuint", document; // = Document.current;

var 
	findFocus, 
	docu, 
	chooseBut, 
	fileWin, 
	bar

; // = {|name| name.hasFocus};

if(~notwinExport.isNil, {}, {~notwinExport.close});
if(document.isNil, {documentSearch =0}, {documentSearch =1});
chooseBut = nil;


// files = Cocoa.getPathsInDirectory(direct++"/Data");

files = (direct++Platform.pathSeparator++"Data"++Platform.pathSeparator++"*").pathMatch;
files = files.collect{|name| name.split(Platform.pathSeparator).reverse[0]   };


fileWin = Window.new(\Tester, Rect(Window.screenBounds.width - 220, 000, 220, 550))
	.front;

language = PopUpMenu.new(fileWin, Rect(60, 10, 80, 25))
	.items_(["english", "deutsch"])
	.action_({|val| // val.value.postln
	})
	.value(0)

	;

/*
// <!-- abgeschafft 101225 -->
if(~midi.isNil, {

if(MIDIClient.init(1,1);
MIDIClient.destinations[0].isNil, 
	{Platform.case(
	\osx,
	{Button.new(fileWin, Rect(10, 35, 200, 40))
		.states_([["MIDI CLIENT NOT RUNNING", Color.black, Color.red], ["ACTIVATE IAC DRIVER", Color.black, Color.red], ["DONE"]])
		.action_({|val| 
		case
			{val.value == 1}
				{"open /Applications/Utilities/Audio\\ MIDI\\ Setup.app".unixCmd}
			{val.value == 2}
				{
				if(MIDIClient.destinations[0].isNil, 
					{val.valueAction_(1)},
					{~midi = MIDIOut(0,MIDIClient.destinations[0].uid);
					val.remove
					})
					}
			{val.value == 0} 
				{val.remove}
		;
		})
	},
	\linux, {},
	\windows, {}
	
	)
	},
	{
	~midi = MIDIOut(0,MIDIClient.destinations[0].uid);
	})
});
*/



/*
if(File.exists(direct++"/Options"), {}, {
docu = File.new(direct++"/Options", "w");
	docu.write((Array.fill(files.size, {[0, 110, 7, 7]})).asCompileString);
	docu.close;});
*/
if(File.exists(direct++Platform.pathSeparator++"Options"), {
	docu = File.new(direct++Platform.pathSeparator++"Options", "r");
	optionsArray = (docu.readAllString).interpret;
	docu.close;
	}, {
	optionsArray = Array.fill(files.size, {
	[0, // StartTime
	[110, 100, 90, 80, 72, 110], // upperLimit
	7, // horzoom
	[7, 3, 3, 3, 3, 3], // zoom
	0, // DisplayMode
	Array.fill(6, {0.9}), // Visible
	Array.fill(6, {0.9})	// Amp
	
	]
	
	
	});
	});



files.do{|name, i|
chooseBut = chooseBut.add(Button(fileWin, Rect(10, 30 *i + 80, 200, 25))
	.states_([[name]])
	.font_(Font("Helvetica", 16))
	.action_({
var notes;
// optionsArray[i].postln;
fileNum = i;
~fileExport = fileNum;
files = files[i];
notes = File(direct++Platform.pathSeparator++"Data"++Platform.pathSeparator++name, "r");
bar = File(direct++Platform.pathSeparator++"MetaData"++Platform.pathSeparator++name++"Bar", "r");
fileWin.close;
~notation.value((notes.readAllString).interpret, document, direct, (bar.readAllString).interpret);
notes.close;
bar.close;
/*SystemClock.sched(0.2, {{~notation.value((notes.readAllString).interpret, document, direct);}.defer; nil});
SystemClock.sched(0.3, {notes.close; nil});*/
	}));
};


Button.new(fileWin, Rect(fileWin.bounds.width - 150, fileWin.bounds.height - 50, 130, 30))
	.states_([["Reset Options"]])
	.action_({
docu = File.new(direct++Platform.pathSeparator++"Options", "w");
	docu.write((Array.fill(files.size, {
	[0, // StartTime
	[110, 100, 90, 80, 72, 110], // upperLimit
	7, // horzoom
	[7, 3, 3, 3, 3, 3], // zoom
	0, // DisplayMode
	Array.fill(6, {0.9}), // Visible
	Array.fill(6, {0.9})	// Amp
	]
	}
	)).asCompileString);
	docu.close;
	});

Button.new(fileWin, Rect(fileWin.bounds.width - 150, fileWin.bounds.height - 90, 130, 30))
	.states_([["Update App"]])
	.action_({
	Platform.case(	
	\osx, {
		// "open http://www.valentinhaller.de/Kompositionen/KlavierQuintett/Klavierquintett.html".unixCmd
		// ("curl http://www.valentinhaller.de/Kompositionen/KlavierQuintett/KlavQuint/updater.scd -o /Applications/SuperCollider/KlavQuint/updater.scd").asString.unixCmd;
		("curl http://www.valentinhaller.de/Kompositionen/KlavierQuintett/KlavQuint/updater.scd -o"+ String.scDir++"/KlavQuint/updater.scd").unixCmd;
		
		AppClock.sched(0.4,
		{load(String.scDir++"/KlavQuint/updater.scd").do{|name| 
		("curl http://www.valentinhaller.de/Kompositionen/KlavierQuintett/KlavQuint/"++name+"-o"+String.scDir++"/KlavQuint/"++name+"--create-dirs").unixCmd //.unixCmd
		}});

		
		},
	\windows, {"\"c:\\Program\ Files\\Internet\ Explorer\\iexplore.exe\" http://www.valentinhaller.de/Kompositionen/KlavierQuintett/Klavierquintett.html".unixCmd}

	)
	});
	
if(documentSearch == 1, {
if(~fileExport.isNil, {}, {
Routine{
0.4.wait;
{chooseBut[~fileExport].focus}.defer;
0.5.wait; 
{findFocus = chooseBut[~fileExport].hasFocus}.defer;
0.15.wait; 
if(findFocus == true,
{{chooseBut[~fileExport].action.value}.defer
});
// 0.1.wait; {Document.listener.front;}.defer;

}.play
});
});
// Document.listener.front;


};







	
	
	
// << PARTITUR
// notes = load("/Sync/SuperCollider/Komps/KlavQuintPartData.rtf");


// -------------------- NOTATION ----------------------------------




// midi = MIDIOut(0,MIDIClient.destinations[0].uid);














~notation =
{
arg notepos, document, direct, bars;

var realOrgNotes, 
pianoPlayer,
pianoPlayerView,
pianoPlayerBut,
pitchListen,
infoBut, infoWin,
blackkeys,
whitekeys,
keyIsDown,
doubleElection, docIn,
sloMo,
ampslider = Array(10),
muteButs = Array(5),


	findNote, orgNotes,
pieceDuration, pointsOfTime, pointsOfPitch,

// VARIABLEN NOTATION

notwin,

upperLimit = 110, upperVoiceLimit = Array.fill(5, {80}),
zoom,
voiceZoom = Array.fill(5, 3),
zoomen,
zoomen2,
textRefresh,
speed = 0.4,
fwidth = 1050,	// 1680 oder 1050
height = 670,	// 1000 oder 670
horzoom = 7, 

drawer,
buts = (190 @ 00),
findBut,

lines, 	// Platzierung der Linien (beim Zoom)
helplines,

comp, comp2, comp2a, comp3, comp5,
zSlv,
zSlh,

// Noten
notext,
gros = 43,	// size
pitchpos,	// Layout-Funktion vertikale Position
pitchpos2,
putnotes,	// Layout-Funktion Noten setzen
noteamount,// nil
notesign,	// Layout-Funktion Notenlaenge
voicesign,	// Layout-Funktion Stimmenfarbe
timetext,
viewRange,


// player
time,	startTime,	// quasi Clock
spieler,	spieler2, // Noten-Spieler
player,		// Synth-Spieler
syns = Array(10),
rots = Array.fill(10),
grp = Group.new,
loud = Array.fill(10),
buton,
playbut,
resbut,
timebox,
schwingungsart,
sample,
voice,
// midi,
pianoCounter1 =0, pianoCounter2=0,
latency = 0.18,
loopInterval, loop,
goToNow,
routSyns,



// TOOLS
// MouseActions
noteName,
noteDisplay, displayFunc,
noteFinder, mouse, mouseTime,
singl, stopper,
multp,
helpArr,
findArr,
fileFrame,

resolution,
mobilxValue, mobilxDif, mobilxStart,
mobilyValue, mobilyDif, mobilyStart,
mobilTimer,
run = Array.fill(6, {Array.fill(10, {0})}), 
setVoice, getVoice,
shake, orientation,
responder,

intonationWin, intonationSyns, intonationCalc, intonationResponder, intonationVoice, intonationPrecision,
intonationSlider, intonationBut,

tuning = 1,

midibalance = 1,
volumeBut, volumeView,
helpBut, helpView,




/*aktualisieren, */
// VoiceDisplay
voiceDisplay = Array.fill(8),
voiceAlpha = Array.fill(8, {0.9}), ampBus, connect =1,
displayMode, displayModeButs, displayGrid, gridBut, gridSize,
keys,
scoreBut,
fullScreenModeBut,

findChord,
findTempo,
pianoTempi,
pianoTempiIndices,
pianoTempiButton,
barLengths,

alreadyDone,

intervals,
calcBox =nil




;
sloMo = 1;
pitchListen = 69;
keyIsDown = Array.fill(120, {0});


// Saved Options
time = optionsArray[fileNum][0];
upperLimit = optionsArray[fileNum][1][0];
upperVoiceLimit = optionsArray[fileNum][1]; upperVoiceLimit.removeAt(0);
horzoom = optionsArray[fileNum][2];
zoom = optionsArray[fileNum][3][0];
voiceZoom = optionsArray[fileNum][3]; voiceZoom.removeAt(0);
displayMode = optionsArray[fileNum][4];
voiceAlpha = optionsArray[fileNum][5];
loud = optionsArray[fileNum][6];
ampBus = Array.fill(8, {Bus.control});
5.do{|i| ampBus[i+1].set(loud[i]*loud[5])};


realOrgNotes = Array.fill(notepos.size, {|i| notepos[i]});

pianoCounter1 = 0;
pianoCounter2 = 0;


notepos.indices.do{|i| if(notepos[i][1].isArray,
									{
									},	{
									notepos[i][1] = Array.fill(2, notepos[i][1])
									})};

orgNotes = notepos;


/*
time =0;
fileNum.postln;
[time, upperLimit, horzoom, zoom].postln;
optionsArray[fileNum].postln;
*/


pieceDuration = 0;
notepos.size.do{|times|
pieceDuration = if(notepos[times][0] > pieceDuration, {notepos[times][0]}, {pieceDuration})
};
pieceDuration = pieceDuration +50;
pieceDuration = pieceDuration.asInt;


// pieceDuration.postln;

// add DummyArguments
// notepos.add([pieceDuration, 1.0, 1.0, 0, {nil}]);
notepos.add([pieceDuration, 0.5, 0.2, 0, 0]);
6.do{|vc|
notepos.add([pieceDuration, 0.5, 0.2, vc+1, 0]);
};








(pieceDuration/10).do{|i| var tm = i*10;
notepos.add([tm - 0.5, 102, tm.asString, 7])};


// enable glissNotation
notepos.indices.do{|i| if(notepos[i][1].isArray,
									{
									},	{
									notepos[i][1] = Array.fill(2, notepos[i][1])
									})};




// orgNotes = notepos;

notepos = Array.fill(notepos.size, {|i| notepos[i]});
notepos.sort({arg first, second; first[1][0] < second[1][0]});
notepos.sort({arg first, second; first[0] < second[0]});

pointsOfTime = Array.fill(notepos.size, {|i| notepos[i][0]});
pointsOfTime = pointsOfTime.add(1000000);


voice = Array.fill(8, {Order.fill});

// split voices
notepos.size.do{|note| if(notepos[note][2].isString, 
				{
				voice[7].add(notepos[note]); 
			//	notepos.removeAt(note)
				},
				{
				voice[notepos[note][3]].add(notepos[note])
				}
				)};

// notepos.size.do{|note| };


// enable cresc Notation
6.do{|vc|
voice[vc+1].size.do{|i| if(voice[vc+1][i][4].isArray,
									{
									},	{
									voice[vc+1][i][4] = Array.fill(2, voice[vc+1][i][4])
									})};
};


5.do{|vc|
	voice[vc+1].size.do{|i| 
			if(voice[vc+1][i][5].isNil, {},
				{if(voice[vc+1][i][5].isFloat,
				 {voice[vc+1][i][5] = Array.fill(2, voice[vc+1][i][5])})
				}
			)
	}			
};

// voice[3].do{|voic| voic.postln};


pointsOfPitch = Array.fill(notepos.size, {|i| notepos[i][1][0]});



/*
voice[2].size.do{|vc, i| if(voice[2][i][4].isArray,
									{
									},	{
									voice[2][i][4] = Array.fill(2, voice[2][i][4])
									})};
*/



// voice[5][3][0].postln;
// voice[5][4][0].postln;

findChord = {|num| 
var nots, pitchCalc, calcFind, foundBase, counter;
nots = nil;
pitchCalc =nil;
calcFind = nil;
foundBase = "";

// if ((pointsOfTime[num] == pointsOfTime[num+1]) || (pointsOfTime[num] == pointsOfTime[num-1])),
// "here".postln;
nots = pointsOfTime.indicesOfEqual(pointsOfTime[num]);
(pointsOfTime.indicesOfEqual(pointsOfTime[num])).postln;
// nots = notepos.findAll(pointsOfTime[num]);
// nots.postln;
calcFind = ["", "", "", ""];

nots.collect{|item| if(notepos[item][3] <7, {pitchCalc = pitchCalc.add(notepos[item])})};
nots = pitchCalc;
pitchCalc = nil;
nots.collect{|item| if(item[3] <5, {pitchCalc = pitchCalc.add(item)})};
nots.sort({|a, b| a[1][0] < b[1][0]});
nots.sort({|a, b| a[3] < b[3]});

if(pitchCalc.isNil, {
pitchCalc = nots.collect{|item| item[1][0].midicps*if(item[5] == "flag", {item[6][0]}, {1})};


},
{


if(pitchCalc.size > 2, {nots = pitchCalc;

pitchCalc = pitchCalc.collect{|item| item[1][0].midicps*if(item[5] == "flag", {item[6][0]}, {1})};
calcFind = [pitchCalc, pitchCalc].allTuples.collect{|both| both[0].absdif(both[1])};
calcFind.sort;
// "I sort".postln;
// [calcFind, pitchCalc.size].postln;
counter = 0;
while({calcFind[counter] == 0 && (counter < 18)}, {counter = counter+1});
foundBase = calcFind[counter];
// ["Base?", foundBase].postln;
calcFind = nil;
pitchCalc.collect{|item| 
		// [(item/foundBase)].postln;
		if(
		(item/foundBase).round(0.000001)%1 == 0,
		{calcFind = calcFind.add((item/foundBase).round(1))}
		) };
if(calcFind.size > 3,
	{},
	{foundBase = foundBase/2;
	//["Base!", foundBase].postln;
	calcFind = nil;
pitchCalc.collect{|item| 
		//[(item/foundBase).round(0.000001)].postln;
		if(
		(item/foundBase).round(0.000001)%1 == 0,
		{calcFind = calcFind.add((item/foundBase).round(1))}
		) };
   }
);

while({calcFind.size < 4}, {calcFind = calcFind.add("")});
foundBase = noteName.value(foundBase.cpsmidi);
},
{pitchCalc = nots.collect{|item| item[1][0].midicps*if(item[5] == "flag", {item[6][0]}, {1})};
}

);

});

//  pitchCalc.postln;
// calcFind.postln;
// nots = nots.collect{|item| item[1][0]};
// (""+nots.do{|i| i.asString}).postln;
Array.fill(4, {|i| [calcFind[i], if(pitchCalc[i].isNil, {""}, {pitchCalc[i].cpsmidi.round(0.01)}), if(nots[i].isNil, {5}, {nots[i][3].round(0.1)}), foundBase]})
};


findTempo = {|num|
var nots, tempoCalc, calcFind, foundBase, counter;
nots = nil;
tempoCalc =nil;
calcFind = nil;
foundBase = "-";
counter = 0;
if(notepos.size - 6 > num,
{
// nots = pointsOfTime.indicesOfEqual(pointsOfTime[num]);
while({pointsOfTime[num] == pointsOfTime[num+counter] || (notepos[num][3] != notepos[num+counter][3]) && (counter < 75)}, {counter = counter +1});
nots = [notepos[num], notepos[num+counter]];
// counter.postln;

tempoCalc = (pointsOfTime[num].absdif(pointsOfTime[num+counter])/60).reciprocal.round;

tempoCalc = if (tempoCalc > 201, {"r"++(tempoCalc/2).round.asString}, {"e"++tempoCalc.asString});
}, {tempoCalc = ""});

tempoCalc
};







// GUI.cocoa;
// Fenster
// notwin = GUI.window.new(\Notation, Rect(0, 00, 900, 700), true, false, scroll: false //, scroll: true).front;
notwin = Window.new(\Notation, 
	Rect(Window.screenBounds.left, Window.screenBounds.top, Window.screenBounds.width, Window.screenBounds.height-20), 
	true, 
	false, 
	scroll: false //, scroll: true
).front;

// notwin.fullScreen;
notwin.view.background_(Color.white);
// notwin.fullScreen;





// comp = 
// GUI.compositeView.new(notwin, //notwin.view.bounds)
UserView(notwin, //notwin.view.bounds
		Rect(notwin.view.bounds.left, 0, notwin.view.bounds.width, 20))
	//		.relativeOrigin_(false)
			.background_(Color.new(0.9, 0.8, 0.9, 1))
			.canFocus_(false)
			.drawFunc_({
				Pen.color_(Color.new(0.1, 0.15, 0.1, 0.4));
				Pen.fillRect(Rect(0, 0, notwin.view.bounds.width, 20))})
			.mouseUpAction_({|view, theX, theY, mods|
				if(mods == 
				if(GUI.current == SwingGUI, 262144, 262401)
				// 262401,
			{if((documentSearch == 1), // && infoWin.notNil,
			{document.selectRange(document.string.find("Row"), 1);
			// document.selectRange(5368, 1);
			document.front});})
			});
/*
comp = UserView(notwin, //notwin.view.bounds
		Rect(notwin.view.bounds.left, 150, notwin.view.bounds.width, notwin.view.bounds.height - 150))
			.relativeOrigin_(true)
			.background_(Color.green)
			.canFocus_(false);
*/	

comp3 =	UserView(notwin, //notwin.view.bounds
		Rect(0, notwin.bounds.height - 160, notwin.bounds.width, 160))
//			.relativeOrigin_(false)
//			.background_(Color.grey)
			.canFocus_(false);
	comp3.resize_(8);
	comp3.visible_(false);



comp =	ScrollView(notwin,
		Rect(notwin.view.bounds.left, 20, notwin.view.bounds.width, notwin.view.bounds.height - 20))
		.hasBorder_(true)
		.hasVerticalScroller_(false)
		.hasHorizontalScroller_(false)
		.autohidesScrollers_(false)
		;

comp.resize_(5);


comp5 =	CompositeView(notwin,
		Rect(notwin.view.bounds.left, 20, notwin.view.bounds.width, notwin.view.bounds.height - 20)).visible_(false);
comp5.resize_(5);




//			UserView(notwin, //notwin.view.bounds
//		Rect(notwin.view.bounds.left, 20, notwin.view.bounds.width, notwin.view.bounds.height - 20))
doubleElection = Pseq([0, 1], inf).asStream;
comp2 =	UserView(comp, //notwin.view.bounds
//		Rect(0, 0, comp.bounds.width, comp.bounds.height*zoom*0.15)
		Rect(0, 0, comp.bounds.width, comp.bounds.height)
		)
	//		.relativeOrigin_(false)
	//		.background_(Color.green)
			.canFocus_(false)
			.mouseDownAction_({|view, theX, theY, mods|
			// mods.postln;
			// if(mods == 524288, {"hello alt".postln});
			mouse = (theX @ theY);
			// if(mods == 131330,
			if(mods == if(GUI.current == SwingGUI, 131072, 131330),
				{mouseTime = zSlh.value @ zSlv.value}, {mouseTime = time @ upperLimit;});
			if(mods == if(GUI.current == SwingGUI, {524288}, {524576}),
			// 524576, // alt
				{time = timebox.value + (mouse.x -100 / horzoom /10 );
				// time.postln;
				playbut.focus.valueAction_(1)});

		//	mouse.postln;
			
			})
			.mouseMoveAction_({|view, theX, theY, mods|
			if(mods == if(GUI.current == SwingGUI, 131072, 131330),
				{
				zSlv.value_(mouseTime.y - (theY - mouse.y /1000));
				zSlv.action.value(zSlv.value);
				zSlh.value_(mouseTime.x - (mouse.x - theX /1000));
				zSlh.action.value(zSlh.value);

				}
				,
				{
				time = mouseTime.x - (theX - mouse.x / horzoom /10);
				timebox.value_(time);
				timebox.action.value(time);
				upperLimit = mouseTime.y + (theY - mouse.y / zoom); // algorh anpassen
				zSlv.action.value(zSlv.value);
				notwin.refresh;
					//	{timetext.string_(time.round(0.1))}.defer;
					//	notwin.refresh;
				})
			})
			.mouseUpAction_({|view, theX, theY, mods|
			var find, found;
			find = 0;
			// pointsOfTime[0].postln;
			// theX.postln;
			 while({(theX-100/horzoom/10+time) > pointsOfTime[find]}, {find = find+1});
			find = find-1;
			while({(pointsOfTime[find] == pointsOfTime[find -1]) && ((upperLimit - (theY/zoom)+2) > pointsOfPitch[find-1])}, {find = find-1});
			 if((pointsOfTime[find] == pointsOfTime[find+1]) && 
					(pointsOfPitch[find] == pointsOfPitch[find+1]),
					{
					find = find + doubleElection.next;
					"There are two of these".postln
					}
				);
			
			
		//	find = find+1;
		//	 [pointsOfTime[find] == pointsOfTime[find +1], 100 - (theY -20/zoom), pointsOfPitch[find]].postln;
//	orgNotes.size.postln;
	orgNotes.indices.do{|num| if(
		(notepos[find][0] == orgNotes[num][0]) 
		&& (notepos[find][3] == orgNotes[num][3]) 
		&& (notepos[find][1][0] == if(orgNotes[num][1].isArray, {orgNotes[num][1][0]}, {orgNotes[num][1]})),
			{found = num})};
	case {mods == if(GUI.current == SwingGUI, 262144, 262401)} // ctrl
		{displayFunc.value(find, found); findBut.action.value;
		if(editMode, {}, {loopInterval.valueAction_(theX-100 /horzoom/10)});
		}
		{mods == if(GUI.current == SwingGUI, 524288, 524576)} // alt
				{
				time = timebox.value;
				playbut.valueAction_(0);
				}



	//	{(mods == 131330) && (mouse == (theX @ theY))}
		{mouse == (theX @ theY)}
		{
		displayFunc.value(find, found);
		calcBox[if(mods == if(GUI.current == SwingGUI, 131072, 131330), {2}, {1})].value_(notepos[find][0]);
		calcBox[3].action.value;
		if(mods == if(GUI.current == SwingGUI, 131072, 131330), {calcBox[6].value_(notepos[find][1][0])}, {});
		
		calcBox[5].string_(
		(notepos[find][1][0] - calcBox[6].value).round(0.01) 
		)
		.stringColor_(if(
		(intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))).notNil,
		{Color.red}, {Color.black})
		);
/*		calcBox[8].states_([[""++(notepos[find][1][0] - calcBox[6].value).round(0.01), if(
		(intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))).notNil,
		{Color.red}, {Color.black}), Color.clear]]);
*/	
		calcBox[7].string_(if(
		(intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))).notNil,
		{""++intervals.flop[1][intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))]
		+"/"+intervals.flop[2][intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))]
			}, {""})
		);
// 	([intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))]).postln;
//	(intervals.flop[1][intervals.flop[0].round(0.1).indexOfEqual((notepos[find][1][0] - calcBox[6].value).round(0.1))]).postln;
//		calcBox[6].value_(notepos[find][2]); 
		}

	//	{mods == 131330} {time =  theX-100/horzoom/10+time; timebox.value_(time); timebox.action.value(time);}
			;

	// mods.postln;
			// find.postln;
			saveView.value;
			})
			;
comp2.resize_(5);
// comp2.visible_(false);


comp2a = Array.fill(5, {|i| UserView(comp, Rect(0, comp.bounds.height/6*i, comp.bounds.width, comp.bounds.height/6))
//	.relativeOrigin_(true)
	.canFocus_(false)
			.mouseDownAction_({|view, theX, theY, mods|
			mouse = (theX @ theY);
			if(mods == if(GUI.current == SwingGUI, 131072, 131330),
				{mouseTime = zSlh.value @ voiceZoom[i]}, {mouseTime = time @ upperVoiceLimit[i];});
		//	mouse.postln;
			
			})
			.mouseMoveAction_({|view, theX, theY, mods|
			if(mods == 
				if(GUI.current == SwingGUI, 131072, 131330),
				{
				voiceZoom[i] = mouseTime.y + (theY - mouse.y /100);
				notwin.refresh;
				// zSlv.value_(mouseTime.y - (theY - mouse.y /1000));
				// zSlv.action.value(zSlv.value);
				zSlh.value_(mouseTime.x - (mouse.x - theX /1000));
				zSlh.action.value(zSlh.value);

				}
				,
				{
				time = mouseTime.x - (theX - mouse.x / horzoom /10);
				timebox.value_(time);
				timebox.action.value(time);
				upperVoiceLimit[i] = mouseTime.y + (theY - mouse.y / zoom); // algorh anpassen
				// zSlv.action.value(zSlv.value);
				notwin.refresh;
					//	{timetext.string_(time.round(0.1))}.defer;
					//	notwin.refresh;
				})
			})
/*			.mouseUpAction_({|view, theX, theY, mods|
			var find, found;
			find = 0;
			saveView.value;
			// pointsOfTime[0].postln;
			// theX.postln;
			 while({(theX-100/horzoom/10+time) > pointsOfTime[find]}, {find = find+1});
			find = find-1;
			while({(pointsOfTime[find] == pointsOfTime[find -1]) && ((upperLimit - (theY/zoom)+2) > pointsOfPitch[find-1])}, {find = find-1});
		//	find = find+1;
		//	 [pointsOfTime[find] == pointsOfTime[find +1], 100 - (theY -20/zoom), pointsOfPitch[find]].postln;
//	orgNotes.size.postln;
	orgNotes.indices.do{|num| if(
		(notepos[find][0] == orgNotes[num][0]) 
		&& (notepos[find][3] == orgNotes[num][3]) 
		&& (notepos[find][1][0] == if(orgNotes[num][1].isArray, {orgNotes[num][1][0]}, {orgNotes[num][1]})),
			{found = num})};
	case {mods == 262401} 
		{displayFunc.value(find, found); findBut.action.value}
	//	{(mods == 131330) && (mouse == (theX @ theY))}
		{mouse == (theX @ theY)}
		{
		displayFunc.value(find, found);
		calcBox[if(mods == 131330, {2}, {1})].value_(notepos[find][0]);
		calcBox[3].action.value}
		
	//	{mods == 131330} {time =  theX-100/horzoom/10+time; timebox.value_(time); timebox.action.value(time);}
			;
	// mods.postln;
			// find.postln;
			}) */
			;
	});
comp2a[4].bounds_(Rect(0, comp.bounds.height/6*4, comp.bounds.width, comp.bounds.height/6*2));
comp2a.do{|views| views.visible_(false)};





blackkeys = 
[22, 25, 27, 30, 32,
34, 37, 39, 42, 44,
46, 49, 51, 54, 56,
58, 61, 63, 66, 68,
70, 73, 75, 78, 80,
82, 85, 87, 90, 92,
94, 97, 99, 102, 104,
106
];

whitekeys = [ 21, 23, 24, 26, 28, 29, 31, 33, 35, 36, 38, 40, 41, 43, 45, 47, 48, 50, 52, 53, 55, 57, 59, 60, 62, 64, 65, 67, 69, 71, 72, 74, 76, 77, 79, 81, 83, 84, 86, 88, 89, 91, 93, 95, 96, 98, 100, 101, 103, 105, 107, 108 ];



pianoPlayerBut = Button.new(notwin, Rect(1080, 00, 60, 20))
	.states_([["piano"], ["piano", Color.black, Color.grey]])
	.action_(
{|num| if(num.value == 1,
{
pianoPlayer = Window.new(\PianoPlayer, Rect(0, 00, 52*24, 100), border:false)
	.front;
pianoPlayer.alwaysOnTop_(true);
/*
Button.new(pianoPlayer, Rect(10, 10, 80, 25))
	.states_([["TEST"]])
	.action_({
	keyIsDown.postln;
	});*/
pianoPlayerView = UserView(pianoPlayer, Rect(0, 0, 52*24, 100));
pianoPlayerView.background_(Color.white);
pianoPlayerView.resize_(7);
pianoPlayerView.drawFunc_({|daView|
	// daView.bounds.height.postln;
	Pen.width = 2;
	Pen.fillColor = Color.black;
	52.do{|line|
	Pen.moveTo((24*line)@000);
	Pen.lineTo((24*line)@daView.bounds.height);
	Pen.stroke;
	};
	/*Pen.moveTo(0@200);
	Pen.lineTo(daView.bounds.width@200);
	Pen.stroke;*/
	
	whitekeys.do{|midi, key|
	if(keyIsDown[midi] > 0, {
	Pen.fillColor = Color.new(0, 0, 1, keyIsDown[midi]);}, {Pen.fillColor = Color.white});
	Pen.fillRect(Rect(24*key+2, 000, 20, 100));
	};

	blackkeys.do{|block, key|
	if(keyIsDown[block] > 0, {
	Pen.fillColor = Color.new(0, 0, 1, keyIsDown[block]);}, {Pen.fillColor = Color.black});
	/*Pen.moveTo(block-20*10-5@20);
	Pen.lineTo(block-20*10+5@20);
	Pen.lineTo(block-20*10+5@60);
	Pen.lineTo(block-20*10-5@60);
	Pen.lineTo(block-20*10-5@20);
	Pen.draw(2);*/
	
	Pen.fillRect(Rect(block-20*14-8, 000, 16, 60));
	// Pen.fill;
	};
	
	Pen.fillColor = voicesign.(intonationVoice.value +1);
	Pen.color = voicesign.(intonationVoice.value +1);
	Pen.fillOval(Rect((pitchListen -21 *1248/88).floor -10, 45, 20, 20));
	Pen.moveTo((pitchListen -21 *1248/88).floor -30 @ 55);
	Pen.lineTo((pitchListen -21 *1248/88).floor +30 @ 55);
	Pen.stroke;
	Pen.moveTo((pitchListen -21 *1248/88).floor @ 25);
	Pen.lineTo((pitchListen -21 *1248/88).floor @ 85);
	Pen.stroke;

	});


},
{pianoPlayer.close})
	});













	


			
// PLAYER
// An - Aus
buton = PopUpMenu.new(notwin, Rect(buts.x -50, buts.y, 50, 20))
	// .states_([["OFF"], ["->"], ["<-"], ["|"]])
	.items_(["OFF", "FWD", "LOOP", "TURN"])
	.value_(0)
	.action_({|val| 
	case
		{val.value == 0} // Off
				{AppClock.clear; /*spieler.stop*/}
		{val.value == 1} // Follower
			{if(playbut.value == 1,	{/* AppClock.play(spieler); spieler.reset; spieler.play;*/ spieler2.value;})}
		{val.value == 2} // Follower
			{}
		{val.value == 3} // Follower
			{}
		{}
		;


		playbut.focus;
	});


playbut = Button.new(notwin, Rect (buts.x, buts.y, 70, 20))
	.states_([["Start"],["Stop"]])
	.action_({|num| 
		var playTime;
		// Synth.tail(s, \InOut, [\in, 8, \out, 30]);
		routSyns = Array.fill(10, {|i| Synth.tail(grp, \InOut, [\in, 30 +i, \out, ~standardStereoOut+(i%2)])
			.map(\amp, ampBus[(i/2).floor+1])
			.run([true, false][muteButs[(i/2).floor].value])
			});
		intonationSyns = Array.fill(2, {|i| Synth.tail(s, \pitch, [\in, [s.options.numOutputBusChannels, intonationVoice.value*2+30][i]])});
	
		case
			{num.value == 1}  {
										// player.value;
										rots[0].reset; rots[0].play;
										rots[1].reset; rots[1].play;
										rots[2].reset; rots[2].play;
										rots[3].reset; rots[3].play;
										rots[4].reset; rots[4].play;
										rots[5].reset; rots[5].play;
										rots[6].reset; rots[6].play;
				AppClock.sched(0.0,{ arg tme; 
					startTime = [time, tme];
					startTime.postln;
					nil
				});
				if(loopInterval.value > 1, {
					AppClock.sched(loopInterval.value /sloMo.value,{ arg tme; 
						[{}, {}, resbut.action, goToNow][buton.value].value;
						if(buton.value == 3, {loopInterval.value /sloMo.value}, {nil})
						// loopInterval.value;
						});
				});
					
	if(buton.value == 1,
								{		//spieler.reset; 
										spieler2.value;
										// AppClock.play(spieler2);
										// spieler.play;
										// spieler.value;
								});
//	 Routine{inf.do{{resbut.action.value}.defer; [0, 1, 2, 5, 6].do{|i| rots[i].reset; rots[i].play}; 60.wait}}.play;

										}
			{num.value == 0}  {
						AppClock.clear;
						// spieler.stop;
			thisProcess.stop;
			rots[1].stop; rots[5].stop;
			rots[0].stop; rots[6].stop;
			rots[2].stop; rots[3].stop; rots[4].stop;
			grp = Group.new;
		/*	~midi.allNotesOff(0);
			~midi.allNotesOff(1);
			~midi.allNotesOff(2);
			~midi.allNotesOff(3);
			~midi.allNotesOff(4);
			~midi.allNotesOff(5);
			~midi.allNotesOff(6);
			~midi.allNotesOff(7);
			~midi.allNotesOff(8);
			~midi.allNotesOff(9);
			pianoCounter1 = 0;
			pianoCounter2 = 0; */
			// resbut.focus;
			keyIsDown = Array.fill(120, {0});

				}
		}).focus
		.keyDownAction_({})
		.keyDownAction_(keys)
		;



// SCNumberBox(notwin, Rect (buts.x, buts.y, 30, 20))
// 	.action_({|numb| speed = numb.value});

resbut = Button.new(notwin, Rect (buts.x + 70, buts.y, 30, 20))
	.states_([["00"]])
	.action_({
		playbut.focus;
		playbut.valueAction_(0);
	// time = timebox.value; notwin.refresh;
	time = startTime[0];
	notext.indices.do{|not|
	{notext[not].bounds_(
		notext[not].bounds.left_(voice[7][not][0] - time *(horzoom * 10)+ 100 +10)
		)}.defer};
//		{timetext.string_(time.round(0.1))}.defer;
		// forgot why: (~busse.size -1).do{|i| ~busse[i].set(1)};
		playbut.valueAction_(1);
		// playbut.focus;

		});

StaticText.new(notwin, Rect(buts.x +140, buts.y, 40, 20)).string_("Time");
timebox = NumberBox.new(notwin, Rect(buts.x +100, buts.y, 40, 20))
	.value_(time)
	.action_({|val| time = val.value; notwin.refresh;
		textRefresh.value;
		{timetext.string_(time.round(0.1))}.defer;
	//	(~busse.size -1).do{|i| ~busse[i].set(1)};
		playbut.focus; 
// if((time > 127) && (time < 190), {~busse[11].set(1)}, {~busse[11].set(0.001)});		
	});
// ~busse[11].set(0.002);



// loopInterval = EZSlider.new(notwin, Rect(350, 00, 200, 20), "loop", [0.0, 20, \lin, 0.1].asSpec)
loopInterval = NumberBox.new(notwin, Rect(360, 00, 30, 20))
		// .setSpan(0.2, 1.5)
		.action_({notwin.refresh; playbut.focus})
		.value_(0);


sloMo = EZSlider.new(notwin, Rect(800, 00, 200, 20), "Tempo", [0.2, 1.5, \lin, 0.01].asSpec)
		// .setSpan(0.2, 1.5)
		.action_({playbut.focus})
		.value_(1)
		;



/*
Slider.new(notwin, Rect(100, 50, 200, 20))
		.action_({|val| time = val.value * 300; notwin.refresh;
	textRefresh.value;
	/*
		notext.indices.do{|not|
	{notext[not].bounds_(
		notext[not].bounds.left_(voice[7][not][0] - time *(horzoom *10) +100 +10 )
		)}.defer};
	*/
	});
*/
timetext = StaticText.new(notwin, Rect(105, 20, 60, 30))
	.font_(Font("Times", 24));

PopUpMenu.new(notwin, Rect(550, 00, 45, 20))
	.items_(["440", "441", "442", "443"])
	.action_({|num| 
	tuning = num.items[num.value].interpret /440;
		})
	.valueAction_(0)
		;








			
// Notes
pitchpos = {|pos| 0 + (upperLimit - pos *zoom)};
pitchpos2 = {|pos, voic| 0 + (upperVoiceLimit[voic] - pos *voiceZoom[voic])};
// pitchpos = {|pos| 0 + (100 - pos *zoom)};

/*
voicesign = {|voice|
		  case {voice == 0} {Color.black}
				 {voice == 1} {Color.red}
				 {voice == 2} {Color.green}
				 {voice == 3} {Color.white}
				 {voice == 4} {Color.blue}
				 {voice == 5} {Color.black}				 {voice == 6} {Color.grey}};
*/


notext = Order.fill;

notesign = {|lenght| 
			case	{lenght == 0} {["o", "Opus Metronome"]}
					{lenght <= 0.5} {["e", "Opus Metronome"]}
					{lenght <= 1.0} {["w", "Opus Metronome"]}
					{lenght <= 2.0} {["q", "Opus Metronome"]}
					{lenght <= 4.0} {["W", "Opus Metronome"]}
					{lenght > 4.0} {["V", "Opus Metronome"]}
			};	
			
voicesign = {|voice|
		  case {voice == 0} {Color.black}
				 {voice == 1} {Color.new(1, 0, 0, voiceAlpha[0].value)}
				 {voice == 2} {Color.new(0.8, 0.4, 0, voiceAlpha[1].value)}
				 {voice == 3} {Color.new(0, 1, 0, voiceAlpha[2].value)}
				 {voice == 4} {Color.new(0, 0, 1, voiceAlpha[3].value)}
				 {voice == 5} {Color.new(0.1, 0.1, 0.0, voiceAlpha[4].value)}
				 {voice == 6} {Color.new(0.3, 0.3, 0.3, voiceAlpha[4].value)}
				 {voice == 7} {Color.new(0.1, 0.1, 0.1, voiceAlpha[5].value)}
				 
				 };
			




// ZOOMEN

// Zoom Vertikal
zoomen = {|num| var colour; zoom = num.value; colour = zoom/20;
		gros = num.value *2 +27;
		textRefresh.value;
/*
	notext.indices.do{|not|
		if(voice[7][not][3] == 7, {},
		{notext[not].bounds_(notext[not].bounds.top_(pitchpos.value(voice[7][not][1][0])  -50))});
		notext[not].font_(
		if(voice[7][not][4].isNil, {Font("Times", gros/2)}, {Font("Opus Metronome", gros/2)}))
		};
*/
//		comp2.bounds_(Rect(0, 0, comp.bounds.width, comp.bounds.height*zoom*0.15));
//		comp.bounds.postln;
//		comp2.bounds.postln;
		notwin.refresh;

		};

Button.new(notwin, Rect(0, 0, 20, 20))
	.states_([["X"]])
	.action_({notwin.close});
/*
Button.new(notwin, Rect(20, 20, 20, 20))
	.states_([["x"]])
	.action_({notwin.endFullScreen});
*/


/*
StaticText.new(notwin, Rect(32, 00, 100, 60)).string_(">");
StaticText.new(notwin, Rect(07, 06, 100, 60)).string_("v");
*/

NumberBox.new(notwin, Rect(00, 20, 20, 20))
	.value_(zoom)
	.action_({ |num| zoomen.value(num.value) })
	.visible_(false);
zSlv = Slider.new(notwin, Rect(00, 40, 20, 80))
	.value_(1 - (zoom -3 /20))
	.action_({|num| zoomen.value(1 - num.value * 20 +3) })
	.visible_(false);




// Zoom Horizontal
zoomen2 = {|num| horzoom = num.value; 
		textRefresh.value;
		notwin.refresh;
		};
/*
NumberBox.new(notwin, Rect(20, 00, 20, 20))
	.action_({ |num| zoomen2.value(num.value) });
	*/
zSlh = Slider.new(notwin, Rect(20, 00, 120, 20))
	.value_(horzoom -0.5 /20)
	.action_({|num| zoomen2.value(num.value * 20 +0.5);
	playbut.focus;
	});








// Video-Player

speed = 1/20;
spieler = {};
/*
{
SystemClock.sched(0.0,{ arg tme; 
	startTime = [time, tme];
	["StartTime",tme].postln;
	nil
		});
		
SystemClock.sched(0.0,{ arg tme; 
time = startTime[0] + tme - startTime[1];
speed;
});
};
*/
/*
Routine{
latency.wait;
inf.do{|run|


notext.indices.do{|not|
	{notext[not].bounds_(
		notext[not].bounds.left_(voice[7][not][0] - time *(horzoom * 10) +100 +10)
		)}.defer};


/* time = time + (speed /10); // + (horzoom/100);
0.04.wait */
time = time + (speed); // + (horzoom/100);
// {if(scoreBut.value == 1, {comp2a.do{|dis| dis.refresh}}, {comp2.refresh})}.defer;
// {notwin.refresh}.defer;
{notwin.refresh}.defer;
speed.wait

}.fork};
*/

spieler2 = 
{
AppClock.sched(0.0,{ arg tme; 
	/*notext.indices.do{|not|
	notext[not].bounds_(
		notext[not].bounds.left_(voice[7][not][0] - time *(horzoom * 10) +100 +10)
		)};*/
	
	/*textRefresh.value;
	comp2.refresh;
	time = startTime[0] + (tme - startTime[1] *sloMo.value); // steht jetzt bei spieler1 */
	goToNow.value;
	// notwin.refresh;
	speed;
		});
};




rots[0] = Routine{
	var integ = 0;	
		while({voice[0][integ][0]-time <0},
		{integ = integ +1})
		;
	(voice[0][integ][0] - time).wait;
		
	(voice[0].size -integ).do{|i|

		voice[0][integ+i][4].value;
		(voice[0][integ+i+1][0] - voice[0][integ+i][0]).wait;
	}
	};


4.do{|voic|
rots[voic+1] = Routine{

	var integ = 0;
		while({voice[voic+1][integ][0]-time <0},
		{integ = integ +1})
		;
	(voice[voic+1][integ][0] - time /sloMo.value).wait;
	latency.wait;
		
	(voice[voic+1].size -integ).do{|i|
//	[voic+1, voice[voic+1][integ+i][5]].postln;
	case
	{voice[voic+1][integ+i][5] == nil}
		{Synth(\arco, [
					// \out, ~standardStereoOut,
					\out, 30+(voic*2),
					\freq1, voice[voic+1][integ +i][1][0].midicps *tuning, 
					\freq2, voice[voic+1][integ +i][1][1].midicps *tuning, 
					\sustain, voice[voic+1][integ +i][2] /sloMo.value,
					\amp1, voice[voic+1][integ+i][4][0],
					\amp2, voice[voic+1][integ+i][4][1],
					// \genamp, 0.2,
					], grp, \addToHead
				)
				// .map(5, ampBus[voic+1]) -> now routSyns
		}
		
	{voice[voic+1][integ+i][5] == "flag"}
		{Synth(\arcoFlag, [
					\out, 30+(voic*2),
					\freq1, voice[voic+1][integ +i][1][0].midicps *tuning, 
					\freq2, voice[voic+1][integ +i][1][1].midicps *tuning, 
					\sustain, voice[voic+1][integ +i][2] /sloMo.value,
					\amp1, voice[voic+1][integ+i][4][0],
					\amp2, voice[voic+1][integ+i][4][1],
					\flag, voice[voic+1][integ +i][6][0],
					\precision, voice[voic+1][integ +i][6][1],
					// \genamp, 0.2,
					], grp, \addToHead
				)
				// .map(5, ampBus[voic+1]) -> now routSyns
		}
	{voice[voic+1][integ+i][5] == "pizz"}
		{Synth(\piano, [
					\out, 30+(voic*2),
					\freq1, voice[voic+1][integ +i][1][0].midicps *tuning, 
					\freq2, voice[voic+1][integ +i][1][1].midicps *tuning, 
					\sustain, voice[voic+1][integ +i][2] /sloMo.value,
					\amp1, voice[voic+1][integ+i][4][0],
					\amp2, 0, // voice[voic+1][integ+i][4][1],
					// \genamp, 0.2
					], grp, \addToHead
				)
				// .map(5, ampBus[voic+1]) -> now routSyns
		}
	{voice[voic+1][integ+i][5] == "ricc"}
		{Synth(\ricc, [
					\out, 30+(voic*2),
					\freq1, voice[voic+1][integ +i][1][0].midicps *tuning, 
					\freq2, voice[voic+1][integ +i][1][1].midicps *tuning, 
					\sustain, voice[voic+1][integ +i][2] /sloMo.value,
					\amp1, voice[voic+1][integ+i][4][0],
					\amp2, voice[voic+1][integ+i][4][1],
					// \genamp, 0.2
					], grp, \addToHead
				);
				// .map(5, ampBus[voic+1]) -> now routSyns
		}
	{voice[voic+1][integ+i][5].isArray}
			{
	//	voice[voic+1][integ+i][5].postln;
		Synth(\arco, [
					\out, 30+(voic*2),
					\freq1, voice[voic+1][integ +i][1][0].midicps *tuning, 
					\freq2, voice[voic+1][integ +i][1][1].midicps *tuning, 
					\sustain, voice[voic+1][integ +i][2] /sloMo.value,
					\amp1, voice[voic+1][integ+i][4][0],
					\amp2, voice[voic+1][integ+i][4][1],
					// \genamp, 0.2,
					\color1, voice[voic+1][integ+i][5][0],
					\color2, voice[voic+1][integ+i][5][1]
					], grp, \addToHead
				)
				// .map(5, ampBus[voic+1]) -> now routSyns
				}
		;

		
		
		
		
		
		
		
		
		(voice[voic+1][integ+i+1][0] - voice[voic+1][integ+i][0] /sloMo.value).wait;
	}
	};

};



[5, 6].do{|num|
rots[num] = Routine{
	var integ = 0;
		while({voice[num][integ][0]-time <0},
		{integ = integ +1})
		;

	(voice[num][integ][0] - time /sloMo.value).wait;
		
	(voice[num].size -integ).do{|i|
	if(pianoPlayer.notNil, {
	keyIsDown[voice[num][integ+i][1][0]] = keyIsDown[voice[num][integ+i][1][0]]+1;
	{pianoPlayer.refresh}.defer;
	Routine{
		0.1.wait;
		// keyIsDown[voice[num][integ+i][1][0]] = 0; {pianoPlayer.refresh}.defer;
		keyIsDown[voice[num][integ+i][1][0]] = keyIsDown[voice[num][integ+i][1][0]] -0.5; {pianoPlayer.refresh}.defer;
		(voice[num][integ][2]-0.1 /sloMo.value).wait;
		keyIsDown[voice[num][integ+i][1][0]] = keyIsDown[voice[num][integ+i][1][0]] -0.5; {pianoPlayer.refresh}.defer;
	
	}.play;
	});
	
	case 
	{voice[num][integ+i][5] == nil}
	{
	// voice[num][integ+i].postln;
	// [pianoCounter1, pianoCounter2].postln;

// normal
		
		Routine{latency.wait;
			Synth(\mdaPiano, [
					\out, 38,
					\freq1, voice[num][integ +i][1][0].midicps *tuning, 
					\freq2, voice[num][integ +i][1][1].midicps *tuning, 
					\sustain, voice[num][integ +i][2],
					\amp1, voice[num][integ+i][4][0],
					\amp2, 0.005, //voice[num][integ+i][4][1],
					// \genamp, 0.2
					], grp, \addToHead
				)
				// .map(5, ampBus[5]) -> now routSyns
		}.play;
		
		
		
		
		
// MIDI  <!-- abgeschafft 101225 -->
/*		pianoCounter1 = pianoCounter1 +1 %8;
//		pianoCounter1.postln;
		~midi.noteOn(pianoCounter1, voice[num][integ +i][1][0], midibalance* loud[4]*loud[5]*voice[num][integ+i][4][0]*127.round);
	//	[pianoCounter1, voice[num][integ +i][1][0], midibalance* loud[4]*loud[5]*voice[num][integ+i][4][0]*127.round].postln;
//		pianoCounter2 = pianoCounter2.add(pianoCounter1)
		Routine{
		var now;
		now = pianoCounter1; 
		(voice[num][integ +i][2] /sloMo.value).wait;
//		now.postln;
		~midi.noteOff(now, voice[num][integ +i][1][0], midibalance* loud[4]*loud[5]*voice[num][integ+i][4][0]*127.round); 
		
		}.play;
	*/				
	}
	{voice[num][integ+i][5] == "pizz"}
		{
		Routine{latency.wait;
		Synth(\piano, [
					\out, 38,
					\freq1, voice[num][integ +i][1][0].midicps *tuning, 
					\freq2, voice[num][integ +i][1][1].midicps *tuning, 
					\sustain, voice[num][integ +i][2] /sloMo.value,
					\amp1, voice[num][integ+i][4][0],
					\amp2, voice[num][integ+i][4][1],
				//	\genamp, 0.4
					], grp, \addToHead
				)				// .map(5, ampBus[5]) -> now routSyns

		}.play;
	}
	{voice[num][integ+i][5] == "flag"}
	{
		Routine{latency.wait;
		Synth(\pianoFlag, [
					\out, 38, //~standardStereoOut,
					\freq1, voice[num][integ +i][1][0].midicps *tuning, 
					\freq2, voice[num][integ +i][1][1].midicps *tuning, 
					\sustain, voice[num][integ +i][2] /sloMo.value,
					\amp1, voice[num][integ+i][4][0],
					\amp2, voice[num][integ+i][4][1],
	//				\amp2, 0,
					\genamp, 0.4,
					\flag, voice[num][integ+i][6][0],
					\precision, voice[num][integ+i][6][1]
					], grp, \addToHead
				)				// .map(5, ampBus[5]) -> now routSyns

		}.play;
	}
	{voice[num][integ+i][5] == "ricc"}
	{
		Routine{latency.wait;
		Synth(\pianoRicc, [
					\out, 38, //~standardStereoOut,
					\freq1, voice[num][integ +i][1][0].midicps *tuning, 
					\freq2, voice[num][integ +i][1][1].midicps *tuning, 
					\sustain, voice[num][integ +i][2] /sloMo.value,
					\amp1, voice[num][integ+i][4][0],
					\amp2, voice[num][integ+i][4][1],
	//				\amp2, 0,
					// \genamp, 0.2,
					], grp, \addToHead
				)				// .map(5, ampBus[5]) -> now routSyns

		}.play;
	};			
				
		
		(voice[num][integ+i+1][0] - voice[num][integ+i][0] /sloMo.value).wait;
	}
	};
};


/*
rots[7] = Routine{
	};
*/






// Notensetzen					< DRAW FUNC >
scoreBut = Button.new(notwin, Rect(680, 00, 20, 20))
	.states_([["P"], ["p"]])
	.action_({|num| if(num.value == 1,
	{comp2.visible_(false);
	comp2a.do{|views| views.visible_(true)};
	},{
	comp2.visible_(true);
	comp2a.do{|views| views.visible_(false)};
	
	});
	textRefresh.value;
	notwin.refresh;
	
	});


notwin.drawHook = {
Pen.color_(Color.red);
Pen.width_(2);
Pen.moveTo(100@20);
Pen.lineTo(100@comp2.bounds.height);
Pen.stroke;

Pen.color_(Color.green);
Pen.width_(2);
Pen.moveTo((loopInterval.value *(horzoom * 10) +100)@20);
Pen.lineTo((loopInterval.value *(horzoom * 10) +100)@comp2.bounds.height);
Pen.stroke;



};


lines = [
[64, 67, 71, 74, 77],
[64, 67, 71, 74, 77],
[53, 57, 60, 64, 67],
[43, 47, 50, 53, 57],
[43, 47, 50, 53, 57, 64, 67, 71, 74, 77],
];
helplines = 
[
[[60, 57],[81, 84, 88, 91, 95, 98, 101]],
[[60, 57],[81, 84, 88, 91, 95, 98, 101]],
[[50],[71, 74, 77, 81, 84, 88, 91, 95, 98, 101]],
[[40, 36],[60, 64, 67, 71, 74, 77, 81, 84, 88, 91, 95, 98, 101]],
[[40, 36, 33, 29, 26, 23],[81, 84, 88, 91, 95, 98, 101]]
];


// design
comp2.drawFunc = {

viewRange = 
[time - (10/horzoom), 
 time + (10/horzoom/100*(notwin.view.bounds.width-100))
]
;



Pen.color_(Color.red);
Pen.width_(2);
Pen.moveTo(100@0);
Pen.lineTo(100@comp2.bounds.height);
Pen.stroke;

Pen.color_(Color.green);
Pen.width_(2);
Pen.moveTo((loopInterval.value *(horzoom * 10) +100)@0);
Pen.lineTo((loopInterval.value *(horzoom * 10) +100)@comp2.bounds.height);
Pen.stroke;




//	Pen.translate(0, 20);

[43, 47, 50, 53, 57, 64, 67, 71, 74, 77].do{|num, i|
	Pen.width = 2;
	Pen.color_(Color.black);
	Pen.moveTo(0 @ pitchpos.value(num));
	Pen.lineTo(notwin.bounds.width *5 @ pitchpos.value(num));
	Pen.stroke;
	};
	
pieceDuration.do{|i|
	Pen.width = 1;
	Pen.moveTo(i - time *(horzoom * 10) +100 @ 0);
	Pen.lineTo(i - time *(horzoom * 10) +100 @ 10);
	Pen.stroke;
};

(pieceDuration/10).do{|i|
	Pen.width = 2;
	Pen.moveTo(i*10 - time *(horzoom * 10) +100 @ 0);
	Pen.lineTo(i*10 - time *(horzoom * 10) +100 @ 20);
	Pen.stroke;
};



[36, 40, 60, 81, 84, 87].do{|num, i|
	Pen.width = 1;
	Pen.color_(Color.grey);
	Pen.moveTo(0 @ pitchpos.value(num));
	Pen.lineTo(200 @ pitchpos.value(num)); // x = notwin.bounds.width
	Pen.stroke;
	};

/*
(21 ..99).do{|num, i|
	Pen.width = 1;
	Pen.color_(Color.grey);
	Pen.moveTo(100 @ pitchpos.value(num+0.5));
	Pen.lineTo(140 @ pitchpos.value(num+0.5)); // x = notwin.bounds.width
	Pen.stroke;
	};
*/


[29, 41, 53, 65, 77, 89, 101
].do{|num, i|
	Pen.width = 1;
	Pen.color_(Color.new(0.0, 0.0, 0.0, 1));
	Pen.moveTo(100 @ pitchpos.value(num-0.5));
	Pen.lineTo(140 @ pitchpos.value(num-0.5)); // x = notwin.bounds.width
	Pen.stroke;
	};



	voice[0].do{|notes|
		Pen.width = 2;
		Pen.color = Color.new(0.6, 0.0, 0.0, 1);
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (0));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (0 +5));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (0 +5));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (0));
		Pen.fill;	
		};


case 
{displayMode == 0}
	{
	6.do{|i|
		voice[1+i].do{|notes|
		
		
		Pen.color = voicesign.value(notes[3]);
		
		
		
		if(notes[5] == "flag",
		{
		Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)));
		Pen.stroke;
		Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1]+(0.midicps*notes[6][0]).cpsmidi)-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1]+(0.midicps*notes[6][0]).cpsmidi)+(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)+(notes[4][0]*zoom) ));
		Pen.fill;
		
		},
			{Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])+(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])+(notes[4][0]*zoom) ));
		Pen.fill};
		);
		
		};
	}
			}
{displayMode == 1}
			{
	6.do{|i|
		voice[1+i].do{|notes|
		Pen.width = zoom*2;
		Pen.color = voicesign.value(notes[3]);
		Pen.fillOval(Rect(
		notes[0] - time *(horzoom * 10) +100,
		pitchpos.value(notes[1][0])-(1+notes[4][0]*zoom/2),
		1+notes[4][0]*zoom*1.6,
		1+notes[4][0]*zoom
		));
			if(notes[5] == "flag",
		{Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)));
		Pen.stroke;
		});

		};
	}}
	
{displayMode == 2}
		{
	6.do{|i|
		voice[1+i].do{|notes|
		Pen.width = zoom/4;
		Pen.color = voicesign.value(notes[3]);
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])));
		Pen.stroke;	
			Pen.fillOval(Rect(
		notes[0] - time *(horzoom * 10) +100,
		pitchpos.value(notes[1][0])-(1+notes[4][0]*zoom/2),
		1+notes[4][0]*zoom*1.6,
		1+notes[4][0]*zoom
		));
				if(notes[5] == "flag",
		{Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)));
		Pen.stroke;
		});

		}}
			}


{displayMode == 3}
		{
	6.do{|i|
		voice[1+i].do{|notes|
		
		if(notes[0] +notes[2] > viewRange[0] && (notes[0] < viewRange[1]), {
		
		Pen.color = voicesign.value(notes[3]);
				
		if(notes[5] == "flag",
		{
		Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)));
		Pen.stroke;
		Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1]+(0.midicps*notes[6][0]).cpsmidi)-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1]+(0.midicps*notes[6][0]).cpsmidi)+(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)+(notes[4][0]*zoom) ));
		Pen.fill;
		
		},
			{ // notehead strings
			if(notes[3] < 5, 
			{Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])+(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])+(notes[4][0]*zoom) ));
		Pen.fill});
			};
		);
		}) // end if
		};
	};
		
	6.do{|i|
		voice[1+i].do{|notes|
		
		if(notes[0] +notes[2] > viewRange[0] && (notes[0] < viewRange[1]), {

		
		Pen.width = 2; // zoom/2;
		Pen.color = voicesign.value(notes[3]);
/*
		Pen.strokeOval(Rect(
			notes[0] - time *(horzoom * 10) +100,
			pitchpos.value(notes[1][0])-(1+notes[4][0]*zoom/2),
			1+notes[4][0]*zoom*1.6,
			1+notes[4][0]*zoom
		));
*/		// mit Volume

		 // NOTEHEAD PIANO
		if(notes[3] > 4, 
		// {Pen.fill},
			{// [notes[1][0], blackkeys.includes(notes[1][0].round.asInt)].postln;
// fuer alle Noten wieder vor if zurueck		
		Pen.addOval(Rect(
			notes[0] - time *(horzoom * 10) +100,
			pitchpos.value(notes[1][0])-(1+0.7*zoom/2),
			1+0.7*zoom*(horzoom/10),
			1+0.7*zoom
		));
//		Pen.fill;
				if(blackkeys.includes(notes[1][0].round.asInt),
				{Pen.fill},
				{Pen.stroke}
					);
			Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100+(1+0.7*zoom*0.1)) @ (pitchpos.value(notes[1][0])-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][1])-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100+(1+0.7*zoom*0.1)) @ (pitchpos.value(notes[1][0]) ));
		Pen.fill;
			}
			);

		// ohne Volume


		// helplines
			if(notes[5] == "flag",
		{Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0])));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi)));
		Pen.stroke;
		});

		Pen.width = 1;
			if(notes[1][0] > lines[4].reverse[0],
		{	Pen.color = Color.black;
		helplines[4][1].do{|line|
			if(notes[1][0] > line, {
		Pen.moveTo(	(notes[0] - 0.05- time *(horzoom * 10) +100) @ (pitchpos.value(line, voice)));
		Pen.lineTo(	(notes[0] + 0.2 - time *(horzoom * 10) +100) @ (pitchpos.value(line, voice)));
		Pen.stroke;	});}
		});
		if(notes[1][0] < lines[4][0],
		{	Pen.color = Color.black;
		helplines[4][0].do{|line|
			if(notes[1][0] < line, {
		Pen.moveTo(	(notes[0] - 0.05- time *(horzoom * 10) +100) @ (pitchpos.value(line, voice)));
		Pen.lineTo(	(notes[0] + 0.2 - time *(horzoom * 10) +100) @ (pitchpos.value(line, voice)));
		Pen.stroke;	});}
		});
		
		}) // end if
		
		};
	}
	
			}
			
			
/*
{displayMode == 3}
			{
	6.do{|i|
		voice[1+i].do{|notes|
		Pen.width = horzoom/2;
		Pen.color = voicesign.value(notes[3]);
		
	/*		Pen.fillOval(Rect(
		notes[0] - time *(horzoom * 10) +100,
		pitchpos.value(100-(notes[3]*2))-(1+notes[4][0]*zoom/2),
		1+notes[4][0]*zoom*1.6,
		1+notes[4][0]*zoom
		)); */
		Pen.moveTo( (notes[0] - time *(horzoom * 10) +100) @ (comp2.bounds.height-100-(5-notes[3]*10)) );
		Pen.lineTo( (notes[0] - time *(horzoom * 10) +100) @ (comp2.bounds.height-100-(4-notes[3]*10)) );
		Pen.stroke;
//		comp2.bounds.height.postln;
		}}
			}	*/
	;
/*
		if(displayGrid == 1, 
			{
		Pen.color_(Color.new(0.1, 0.15, 0.1, 0.4));
		Pen.fillRect(Rect(0, notwin.bounds.height - 60, notwin.view.bounds.width, 20));
	6.do{|i|
		voice[1+i].do{|notes|
		Pen.width = horzoom/2;
		Pen.color = voicesign.value(notes[3]);
		
		Pen.moveTo( (notes[0] - time *(horzoom * 10) +100) @ (notwin.bounds.height-(6-notes[3]*10)) );
		Pen.lineTo( (notes[0] - time *(horzoom * 10) +100) @ (notwin.bounds.height-(7-notes[3]*10)) );
		Pen.stroke;
//		comp2.bounds.height.postln;
		}}
			});		
	*/
	
// black keys

blackkeys.do{|num, i|
	Pen.width = 1.2*zoom;
	Pen.color_(Color.black);
	Pen.moveTo(100 @ pitchpos.value(num));
	Pen.lineTo(120 @ pitchpos.value(num)); // x = notwin.bounds.width
	Pen.stroke;
	};

[24, 36, 48, 60, 72, 84, 96,
].do{|num, i|
	Pen.width = 1;
	Pen.color_(Color.new(0.0, 0.0, 0.0, 1));
	Pen.moveTo(80 @ pitchpos.value(num-0.5));
	Pen.lineTo(140 @ pitchpos.value(num-0.5)); // x = notwin.bounds.width
	Pen.stroke;
	};
	
bars.do{|tme| 
		Pen.width = 1;
		Pen.color_(Color.black);
		Pen.moveTo(	(tme - time *(horzoom * 10) +100) @ (0));
		Pen.lineTo(	(tme - time *(horzoom * 10) +100) @ (comp2.bounds.height));
		Pen.stroke;
	};

};
	//		</comp2 drawFunc>


5.do{|voic|
comp2a[voic].drawFunc_({
// var zoom = 4;

	Pen.width = 1;
	Pen.color_(Color.black);
	Pen.moveTo(0 @ 0);
	Pen.lineTo(notwin.bounds.width @ 0);
	Pen.stroke;



		if(voic == 4, {voice[5].addAll(voice[6])},
		{voice[1+voic]}).do{|notes|
		Pen.width = zoom/4;
			Pen.color = voicesign.value(notes[3]);
		
	if(voic < 4, {
		// Pen.width = zoom*2;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][0], voic)-(notes[4][0]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][1], voic)-(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][1], voic)+(notes[4][1]*zoom) ));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][0], voic)+(notes[4][0]*zoom) ));
		Pen.fill;
	},
	{
		
		
		Pen.addOval(
				// size == volume
			/*	Rect(
				notes[0] - time *(horzoom * 10) +100,
				pitchpos2.value(notes[1][0], voic)-(1+notes[4][0]*zoom/2),
				1+notes[4][0]*zoom*1.6,
				1+notes[4][0]*zoom
			); */
				// size equal
			Rect(
			notes[0] - time *(horzoom * 10) +100,
			pitchpos2.value(notes[1][0], voic)-(3*voiceZoom[4]/2),
			3*voiceZoom[4]*1.6,
			3*voiceZoom[4]
			)
		);
		if(blackkeys.includes(notes[1][0].round.asInt),
			{Pen.fill},
			{Pen.stroke}
					);
		
	});
		// rhythm coordination lines
		/*		Pen.color = voicesign.value(notes[3]);
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ 0);
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ 120);
		Pen.stroke;	
		*/
		
		if(notes[1][0] > lines[voic].reverse[0],
		{	Pen.color = Color.black;
		helplines[voic][1].do{|line|
			if(notes[1][0] > line, {
		Pen.moveTo(	(notes[0] - 0.05- time *(horzoom * 10) +100) @ (pitchpos2.value(line, voic)));
		Pen.lineTo(	(notes[0] + 0.2 - time *(horzoom * 10) +100) @ (pitchpos2.value(line, voic)));
		Pen.stroke;	});}
		});
		if(notes[1][0] < lines[voic][0],
		{	Pen.color = Color.black;
		helplines[voic][0].do{|line|
			if(notes[1][0] < line, {
		Pen.moveTo(	(notes[0] - 0.05- time *(horzoom * 10) +100) @ (pitchpos2.value(line, voic)));
		Pen.lineTo(	(notes[0] + 0.2 - time *(horzoom * 10) +100) @ (pitchpos2.value(line, voic)));
		Pen.stroke;	});}
		});
		
			Pen.color = voicesign.value(notes[3]);
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][0], voic)));
		Pen.lineTo(	(notes[0] + notes[2] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][1], voic)));
		Pen.stroke;	
				
				if(notes[5] == "flag",
		{Pen.width = 1;
		Pen.moveTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][0], voic)));
		Pen.lineTo(	(notes[0] - time *(horzoom * 10) +100) @ (pitchpos2.value(notes[1][0]+(0.midicps*notes[6][0]).cpsmidi, voic)));
		Pen.stroke;
		});	
		};
		
		
		
		
(lines[voic])
.do{|num, i|
	Pen.width = 1;
	Pen.color_(Color.black);
	Pen.moveTo(0 @ pitchpos2.value(num, voic));
	Pen.lineTo(notwin.bounds.width *5 @ pitchpos2.value(num, voic));
	Pen.stroke;
	};

/*
Pen.color_(Color.red);
Pen.moveTo(100@0);
Pen.lineTo(100@comp2.bounds.height);
Pen.stroke;
*/



})};




comp3.drawFunc_({
//		Pen.translate(0, comp3.bounds.top);
//		Pen.color_(Color.new(0.01, 0.65, 0.01, 1));
		
//		Pen.fillOval(Rect(100,	000, comp3.bounds.height, comp3.bounds.height)); 
//		displayGrid.postln;
	//		if(displayGrid == 1, 
	//			{
		Pen.color_(Color.new(0.1, 0.15, 0.1, 0.4));
		Pen.fillRect(Rect(0, comp3.bounds.height - 60, notwin.view.bounds.width, 150));
	6.do{|i|
		voice[1+i].do{|notes|
		Pen.width = horzoom/2;
		Pen.color = voicesign.value(notes[3]);
		
		Pen.moveTo( (notes[0] - time *(horzoom * 10) +100) @ (comp3.bounds.height-(6-notes[3]*10)) );
		Pen.lineTo( (notes[0] - time *(horzoom * 10) +100) @ (comp3.bounds.height-(7-notes[3]*10)) );
		Pen.stroke;
//		comp2.bounds.height.postln;
		}}
	//		});
		});






	// DISPLAY

displayModeButs = 
Array.fill(4, {|i|
	Button.new(notwin, Rect(i*20 +600, 00, 20, 20))
		.states_([[""++(i+1)]])
		.action_({
		displayMode = i;
	//	comp2.drawFunc = displayMode[i];
		notwin.refresh;
		})
});
// Notensetzen							< /DRAW FUNC >



	// RHYTHM-GRID
	
gridBut = 	Button.new(notwin, Rect(700, 00, 20, 20))
		.states_([["#"], ["#", Color.grey]])
		.action_({|num|
		displayGrid = num.value;
		comp3.visible_(if(num.value == 1, {true}, {false}));
	//	comp2.drawFunc = displayMode[i];
		notwin.refresh;
		});





// TextSetzen							< TEXT FUNC >



textRefresh = {
	alreadyDone = [0, 0];
		notext.indices.do{|not|
	{notext[not].bounds_(
	notext[not].bounds.left_(
		voice[7][not][0] - time *(horzoom *10) +100 +10));
	notext[not].bounds_(
	notext[not].bounds.top_(
		if(voice[7][not][3] == 7, {20}, 
			{if(scoreBut.value == 0, {pitchpos.value(voice[7][not][1][0]) -50}, {voice[7][not][3]-1*comp.bounds.height/6-22})})) 
		)}.defer};
		pianoTempiIndices.do{|notes, num|

		{pianoTempi[num].bounds_(
		pianoTempi[num].bounds.left_(notepos[notes][0] - time *(horzoom * 10) +100 +2));
		pianoTempi[num].bounds_(
		pianoTempi[num].bounds.top_(			if(scoreBut.value == 0, {pitchpos.value(notepos[notes][1][0]+(4*doubleElection.next))-60}, {comp.bounds.height/6*notepos[notes][3] +02})));
		}.defer;
		};
		{barLengths.do{|br, num| br.bounds_(Rect(bars[num] -time *(horzoom*10)+100 + 10, 50, 70, 20))  }}.defer;
		};




barLengths = Array.fill(bars.size-1, {|i| 
	StaticText.new(comp5, Rect(bars[i] *(horzoom*10)+100+10, 50, 70, 20))
		.string_(""++((bars[i+1] - bars[i]).round(0.01)).asString++"s")
	})
;

// pianoTempi = Order.new;
alreadyDone = [0, 0];
notepos.size.do{|num|

case {notepos[num].size <2} {true.postln}
{notepos[num][3] == 5 || (notepos[num][3] ==6)}
{
if(notepos[num][0] == alreadyDone[0] || (findTempo.value(num) == alreadyDone[1]),
	{},
	{
	// num.postln;
pianoTempi = pianoTempi.add(
StaticText.new(comp5, Rect(
		notepos[num][0] - time *(horzoom * 10) +100 +2, 
			if(scoreBut.value == 0, {pitchpos.value(notepos[num][1][0]+(4*doubleElection.next))-60}, {comp.bounds.height/6*notepos[num][3] +02}), 
		160, 80))
		.string_(findTempo.value(num))
	.font_(Font("Opus Metronome", gros/2))
	// .visible_(false)
);
pianoTempiIndices = pianoTempiIndices.add(num);

alreadyDone = [notepos[num][0], findTempo.value(num)];
		})
	 };
};


putnotes = {|numb, notes| 
notext[numb] = 
StaticText.new(if(notes[3] == 7, {notwin}, {comp}), Rect(notes[0] - time *(horzoom * 10) +100 +10, 
	if(notes[3] == 7, {20}, 
			{if(scoreBut.value == 0, {pitchpos.value(notes[1][0]) -50}, {comp.bounds.height/6*notes[3] +02})}), 
	160, 80))
		
	.string_(if (notes[2].isString, {notes[2]}, {"e ="+((notes[2].reciprocal*60).round(0.1))}))
	.stringColor_(voicesign.value(notes[3]))
	.font_(if (notes[4].isNil, {Font("Times", gros/2)},{Font("Opus Metronome", gros/2)}))
//	.font_(Font("Times", gros/2))
 	
};


voice[7].indices.do{|note|
putnotes.value(note, voice[7][note])};
// TextSetzen							< /TEXT FUNC >

/*infoWin = CompositeView.new(notwin, 
	Rect(notwin.view.bounds.width -200, 40, 200, 160)).visible_(false).resize_(9);
	infoWin.background_(Color.clear);
*/


pianoTempiButton = Button.new(notwin, Rect(1030, 0, 50, 20))
	.states_([["Tempi"], ["Tempi", Color.black, Color.grey]])
	.value_(0)
	.action_({|num| 
	// pianoTempi.do{|nm| nm.visible_([false, true][num.value])} 
	comp5.visible_([false, true][num.value]);
	});






	// INFO

infoWin = Window.new(\info, 
	Rect(Window.screenBounds.width -200, Window.screenBounds.height-400, 200, 360), 
	true, 
	false, 
	scroll: false //, scroll: true
).front.visible_(false);
infoWin.alpha_(0.95);
infoWin.view.background_(Color.new(0.9, 0.9, 0.9, 1.0));
infoWin.alwaysOnTop_(true);

noteDisplay = Array.fill(11);

noteDisplay[0] = NumberBox.new(infoWin, Rect(50, 00, 40, 20));
noteDisplay[1] = noteDisplay[1].add(StaticText.new(infoWin, Rect(000, 30, 40, 40)));
noteDisplay[1] = noteDisplay[1].add(StaticText.new(infoWin, Rect(100, 30, 40, 40)));
	noteDisplay[1][0].setProperty(\align, \center)
	;
noteDisplay[2] = NumberBox.new(infoWin, Rect(050, 40, 40, 20));
noteDisplay[3] = NumberBox.new(infoWin, Rect(020, 00, 20, 20)).value_(0);
noteDisplay[4] = noteDisplay[4].add(NumberBox.new(infoWin, Rect(000, 80, 40, 20)).value_(0));
noteDisplay[4] = noteDisplay[4].add(NumberBox.new(infoWin, Rect(100, 80, 40, 20)).value_(0));

noteDisplay[5] = NumberBox.new(infoWin, Rect(160, 00, 40, 20))
//	.font_(Font("Helvetica", 24))
	.action_({|num| displayFunc.value(num.value)})
	;
   noteDisplay[5].setProperty(\align,\center);

noteDisplay[6] = NumberBox.new(infoWin, Rect(160, 40, 40, 20))
//	.font_(Font("Helvetica", 24))
	;
   noteDisplay[6].setProperty(\align,\center);

noteDisplay[7] = Array.fill(9, {|i| StaticText.new(infoWin, Rect(90+((i/4).floor*40), i%4*30+170, 80, 30))
	.font_(Font("Helvetica", 20))
	;});
	noteDisplay[7][8].bounds_(Rect(100, 300, 80, 60));
	// .setProperty(\align, \center)

noteDisplay[8] = StaticText.new(infoWin, Rect(10, 180, 60, 60))	.font_(Font("Opus Metronome", gros/2));

noteDisplay[9] = StaticText.new(infoWin, Rect(10, 130, 160, 60))
	.font_(Font("Helvetica", 16));


findBut = Button.new(infoWin, Rect(160, 20, 40, 20))
	.states_([["FIND"]])
//	.font_(Font("Helvetica, 20))
	.action_({
	if(documentSearch == 1  && editMode,
	{findNote.value(noteDisplay[6].value)};
	)});
	




noteName = {|pitch|
var oktave, first, deviation;
oktave = (pitch/12).floor;
first = pitch.round%12;
deviation = pitch - pitch.round;

if(deviation.isPositive, 
{
""+(deviation*100).round.asString++$\r++
["c", "-d", "d", "-e", "e", "f", "+f", "g", "-a", "a", "-b", "b"][first]
++oktave},
{
["c", "-d", "d", "-e", "e", "f", "+f", "g", "-a", "a", "-b", "b"][first]
++oktave++$\r++
(deviation*100).round.asString})

};


displayFunc =	{|find, found|
			noteDisplay[0].value_(notepos[find][0]);
			noteDisplay[1][0].string_(noteName.value(notepos[find][1][0]));
			noteDisplay[1][1].string_(noteName.value(notepos[find][1][1]));
			noteDisplay[2].value_(if(notepos[find][2].isString, {0}, {notepos[find][2]}));
			noteDisplay[3].value_(notepos[find][3]);
	//		noteDisplay[3].setProperty(\boxColor, voicesign.value(notepos[find][3]));
			noteDisplay[5].value_(find);
			
			noteDisplay[6].value_(found);
		//	infoWin.view.background_(voicesign.value(notepos[find][3]));
			findChord.value(find).do{|val, i| noteDisplay[7][i].string_(val[0]).stringColor_(voicesign.value(val[2].value))};
			findChord.value(find).do{|val, i| noteDisplay[7][i+4].string_(val[1]).stringColor_(voicesign.value(val[2].value))};
			noteDisplay[7][8].string_(findChord.value(find)[0][3]).stringColor_(Color.black);
			noteDisplay[8].string_(findTempo.value(find)).stringColor_(voicesign.value(noteDisplay[3].value));
			
			noteDisplay[9].string_(
				if(notepos[find].size > 5, 
					{notepos[find][5]++(
						if(notepos[find].size > 6, {notepos[find][6]}, {""}))
					},
					{""}
				)
			)
			.stringColor_(voicesign.value(noteDisplay[3].value));

	
	
			if((notepos[find][3] == 7) || notepos[find][2].isString,
			{
			noteDisplay[4][0].value_(0);
			noteDisplay[4][1].value_(0);
			},
			{
			noteDisplay[4][0].value_(notepos[find][4][0]);
			noteDisplay[4][1].value_(notepos[find][4][1]);
			}
			);
			infoWin.refresh;
			};

infoWin.drawHook_({
Pen.width = 2;
Pen.fillColor = voicesign.value(noteDisplay[3].value);
Pen.moveTo(040@100);
Pen.lineTo(040@(100-(noteDisplay[4][0].value*20)));
Pen.lineTo(100@(100-(noteDisplay[4][1].value*20)));
Pen.lineTo(100@(100+(noteDisplay[4][1].value*20)));
Pen.lineTo(040@(100+(noteDisplay[4][0].value*20)));
Pen.lineTo(040@100);
Pen.fill;
});

infoBut = Button.new(notwin, Rect(790, 0, 30, 20))
	.states_([["info"], ["info", Color.black, Color.grey]])
	.action_({|num| infoWin.visible_([false, true][num.value])});
// infoWin.visible_(false);


16.do{|tone1|
16.do{|tone2|
var interval;
interval = ((48.midicps*(tone1+1)).cpsmidi - (48.midicps*(tone2+1)).cpsmidi).round(0.01);
intervals = intervals.add([interval, tone1+1, tone2+1]);
}};

calcBox = calcBox.add(StaticText.new(infoWin, Rect(150, 70, 40, 20)).font_(Font("Helvetica", 16)))
	
;
calcBox = calcBox.add(NumberBox.new(infoWin, Rect(000, 100, 80, 20))
	.value_(0));
calcBox = calcBox.add(NumberBox.new(infoWin, Rect(000, 120, 80, 20))
	.value_(0));
calcBox = calcBox.add(Button.new(infoWin, Rect(080, 120, 20, 20))
	.states_([["-"]]).action_({calcBox[0].string_(abs(calcBox[1].value - calcBox[2].value).round(0.001))}));
calcBox = calcBox.add(Button.new(infoWin, Rect(080, 100, 20, 20))
	.states_([["/"]]).action_({calcBox[0].string_(calcBox[1].value / calcBox[2].value)}));
calcBox = calcBox.add(StaticText.new(infoWin, Rect(150, 90, 40, 20)).font_(Font("Helvetica", 16)));
calcBox = calcBox.add(NumberBox.new(infoWin, Rect(000, 140, 80, 20))
	.value_(0));
calcBox = calcBox.add(StaticText.new(infoWin, Rect(130, 110, 70, 20)).font_(Font("Helvetica", 16)));



calcBox.do{|box| box.visible_(false)};


calcBox = calcBox.add(Button.new(infoWin, Rect(145, 88, 50, 25))
	.states_([["", Color.clear, Color.clear]])
//	.stringColor_(Color.green)
	.action_({load("/Sync/SuperCollider/Komps/KlavQuint/Intervalle.rtf")}))
	;

calcBox[0].visible_(true);
calcBox[5].visible_(true);
calcBox[7].visible_(true);





intonationPrecision = 6;

// INTONATION
intonationWin = Window.new(\info, 
	Rect(Window.screenBounds.width -50, Window.screenBounds.height/2-200, 50, 400), 
	true, 
	false, 
	scroll: false //, scroll: true
).front.visible_(false);
intonationWin.alpha_(0.95);
intonationWin.view.background_(Color.new(0.9, 0.9, 0.9, 1.0));
intonationWin.alwaysOnTop_(true);

intonationWin.drawHook_({
	// Pen.translate(0 @ 20);
	Pen.width_(5);
	Pen.moveTo(0@200);
	Pen.lineTo(40@200);
	Pen.stroke;
	
	});

intonationSlider = Slider.new(intonationWin, Rect(10, 20, 20, 360)).thumbSize_(5);

intonationVoice = PopUpMenu.new(intonationWin, Rect(0, 0, intonationWin.bounds.width, 20))
	.items_(["1", "2", "3", "4"])
	.action_({|num| intonationSyns[1].set(\in, num.value*2+30)})
	;


// intonationSyns = Array.fill(2, {|i| Synth(\pitch, [\in, [s.options.numOutputBusChannels, intonationVoice.value*2+30][i]])});


intonationResponder = OSCresponder(s.addr, '/liveFreq', {arg time, resp, msg;
	var intensity;
	if(msg[4] == s.options.numOutputBusChannels,
		{
		intonationCalc = msg[3].cpsmidi;
		// "got message".postln;
		},
		{{
		intonationSlider.value = 0.5 + (intonationCalc - msg[3].cpsmidi +6 %12 -6 / intonationPrecision);
		// intonationsSlider.value = msg[3].cpsmidi.linlin(21, 108, 0, 1);
		intensity = 1/(abs(intonationCalc - msg[3].cpsmidi +6 %12 -6)+0.1)/10;
		intonationWin.view.background_(Color.new(1-intensity, 1-intensity, 1.0, 1.0));
		}.defer;
		pitchListen = msg[3].cpsmidi;
		//	[intonationCalc, msg[3].cpsmidi, intonationCalc - msg[3].cpsmidi +6 %12 -6].postln;
		}
	);

});
intonationResponder.add;

intonationBut = Button.new(notwin, Rect(500, 0, 40, 20))
	.states_([["inton"], ["inton", Color.black, Color.grey]])
	.action_({|num| intonationWin.visible_([false, true][num.value])});











	// VOLUME


/*
volumeView = CompositeView.new(notwin, Rect(600, 20, 350, 150))
	.visible_(false);
	*/
volumeView = Window.new(\info, 
	Rect(730, Window.screenBounds.height-140, 265, 100), 
	true, 
	false, 
	scroll: false //, scroll: true
).front.visible_(false);
volumeView.alpha_(1);
volumeView.view.background_(Color.new(0.95, 0.95, 0.95, 1.0));
volumeView.alwaysOnTop_(true);
volumeView.endFrontAction_({notwin.front});


volumeBut = Button.new(notwin, Rect(730, 0, 50, 20))
	.states_([["Volume"], ["Volume", Color.black, Color.grey]])
	.action_({|num| volumeView.visible_([false, true][num.value])})
	;



connect = Button.new(volumeView, Rect(100, 30, 30, 20))
	.states_([["<->"], ["<->", Color.black, Color.grey]])
	.value_(1)
	.canFocus_(false);

5.do{|i|
voiceDisplay[i] = Slider.new(volumeView, Rect(i*20+000, 00, 20, 80))
	.value_(voiceAlpha[i])
	.action_({|val|
	voiceAlpha[i] = val.value;
	notwin.refresh;
	})
	.canFocus_(false)

};
// 5.do{|i| voiceDisplay[i].thumbsize_(4)};

6.do{|voice|
ampslider.add(Slider.new(volumeView, Rect(voice*20+130, 00, 20, 80))
		.value_(loud[voice])
		.action_({|ampl|
			ampBus[voice+1].set(ampl.value*ampslider[5].value/midibalance);
			// loud.postln;
			loud.put(voice, ampl.value);
			if(connect.value == 1, {
			voiceDisplay[voice].value_(ampl.value);
			voiceDisplay[voice].action.value(ampl.value)})
		})
		.canFocus_(false)
		)};

ampslider[5].bounds_(Rect(240, 00, 25, 80));
ampslider[5].value_(loud[5]*midibalance);
ampslider[5].action_({|ampl| 5.do{|voice|
			ampBus[voice+1].set(ampl.value/midibalance*ampslider[voice].value)};
			loud.put(5, ampl.value/midibalance);
		});
// ampslider[5].valueAction_(loud[5]*midibalance);

5.do{|voice|
	muteButs.add(Button.new(volumeView, Rect(voice*20+130, 80, 20, 20))
		.states_([["x"], ["x", Color.black, Color.grey]])
		.action_({|but|
			if(playbut.value == 1,
				{2.do{|i| routSyns[voice*2+i].run([true, false][but.value])}}
				)
			});
	)
};

	// HELP
helpView = Window.new(\info, 
	Rect(00, Window.screenBounds.height-340, Window.screenBounds.width, 300), 
	true, 
	false, 
	scroll: false //, scroll: true
).front.visible_(false);
helpView.alpha_(1);
helpView.view.background_(Color.new(0.9, 0.9, 0.9, 1.0));
helpView.alwaysOnTop_(true);

helpView.drawHook_({|theView|
Pen.moveTo(150@0);
Pen.lineTo(150@theView.bounds.height);
Pen.stroke;
});

StaticText.new(helpView, Rect(0, 20, 100, 20)).string_("x = Close Window -w-");

StaticText.new(helpView, Rect(20, 0, 120, 20)).string_("|  horizontal ZOOM  |");
StaticText.new(helpView, Rect(20, 20, 120, 80)).string_("Shift+Click+Drag = change vertical and horizontal zoom");
StaticText.new(helpView, Rect(20, 80, 120, 80)).string_("Shift+Arrow = change horizontal zoom");


StaticText.new(helpView, Rect(160, 120, 120, 20)).string_("PLAYING MODES");
StaticText.new(helpView, Rect(160, 140, 120, 20)).string_("OFF");
StaticText.new(helpView, Rect(210, 140, 120, 20)).string_("=  just play");
StaticText.new(helpView, Rect(160, 160, 120, 20)).string_("FLW");
StaticText.new(helpView, Rect(210, 160, 120, 20)).string_("=  score follows");
StaticText.new(helpView, Rect(230, 180, 140, 20)).string_("(doesn't work properly)");
StaticText.new(helpView, Rect(160, 200, 120, 20)).string_("LOOP");
StaticText.new(helpView, Rect(210, 200, 120, 20)).string_("=  loops at range");
StaticText.new(helpView, Rect(160, 220, 120, 20)).string_("TURN");
StaticText.new(helpView, Rect(210, 220, 120, 20)).string_("=  turn page at range");
StaticText.new(helpView, Rect(160, 240, 120, 20)).string_(["-z-", "-y-"][language.value]);
StaticText.new(helpView, Rect(210, 240, 120, 20)).string_("=  turn page manually");

StaticText.new(helpView, Rect(170, 000, 140, 20)).string_("-Space-");
StaticText.new(helpView, Rect(190, 016, 140, 20)).string_("play from Line/Stop");
StaticText.new(helpView, Rect(170, 040, 140, 20)).string_("-alt_click- +hold button");
StaticText.new(helpView, Rect(190, 056, 140, 20)).string_("play from cursor position");


StaticText.new(helpView, Rect(260, 40, 120, 80)).string_("00 = Reset = starts directly from the last starting point -x-");
StaticText.new(helpView, Rect(350, 000, 120, 20)).string_("RANGE -ctrl_click-");

StaticText.new(helpView, Rect(400, 100, 120, 20)).string_("NAVIGATION");
StaticText.new(helpView, Rect(400, 120, 120, 20)).string_("<- Arrow ->  = 1 sec");
StaticText.new(helpView, Rect(400, 140, 120, 20)).string_("<- alt  ->  = 10 sec");
StaticText.new(helpView, Rect(400, 160, 120, 20)).string_("<- ctrl  ->  = 1 bar");



StaticText.new(helpView, Rect(550, 00, 120, 20)).string_("Tuning");
StaticText.new(helpView, Rect(610, 20, 120, 20)).string_("DISPLAY MODES");
StaticText.new(helpView, Rect(600, 40, 120, 20)).string_("-shift_ModeNumber- (1-4)");
StaticText.new(helpView, Rect(600, 60, 120, 20)).string_("Score Mode -P-");

StaticText.new(helpView, Rect(600, 80, 120, 20)).string_("# rhythm grid -R-");



StaticText.new(helpView, Rect(750, 00, 120, 20)).string_("-v-");
StaticText.new(helpView, Rect(730, 80, 130, 20)).string_("   I     II    III   IV    V");
StaticText.new(helpView, Rect(860, 80, 130, 20)).string_("   I     II    III   IV    V");

StaticText.new(helpView, Rect(740, 100, 120, 20)).string_("Display Alpha");
StaticText.new(helpView, Rect(870, 100, 120, 20)).string_("Sound Volume");
StaticText.new(helpView, Rect(870, 120, 120, 20)).string_("-v- toggle display");

StaticText.new(helpView, Rect(870, 140, 120, 20)).string_("-Up/Down-  master volume");

// StaticText.new(helpView, Rect(850, 100, 120, 20)).string_("Sound Volume");

StaticText.new(helpView, Rect(800, 00, 120, 20)).string_("-i-");
StaticText.new(helpView, Rect(830, 00, 140, 20)).string_("TempoSlider (normal = 1)");


StaticText.new(helpView, Rect(1000, 000, 120, 20)).string_("Display Tempo");
StaticText.new(helpView, Rect(1090, 000, 120, 20)).string_("Piano Player");




helpBut = Button.new(notwin, Rect(480, 0, 20, 20))
	.states_([["?"], ["?", Color.black, Color.grey]])
	.action_({|num| 
	helpView.visible_([false, true][num.value]);
	// helpView.front;
	// volumeBut.valueAction_(1);
	// infoBut.valueAction_(1);
	});





	// DATA
/*
// Button.new(notwin, Rect(980, 00, 50, 20))
Button.new(infoWin, Rect(100, 00, 50, 20))
	.states_([["Data"]])
	.action_({
	var dataWin, scrollView, text, breit = 400, liste;
	liste = [30, 80, 150, 190, 220, 260, 300, breit];
	dataWin = Window.new(files, Rect(Window.screenBounds.width - breit, Window.screenBounds.height, breit, Window.screenBounds.height))
	.front;
	scrollView = ScrollView(dataWin, Rect(0, 0, dataWin.bounds.width, dataWin.bounds.height))
		.background_(Color.white);
	
	realOrgNotes.do{|note, i|
		StaticText.new(scrollView, Rect( 5, i*40+10, 40, 40))
		.string_(i.asString);

		note.do{|val, num|
		StaticText.new(scrollView, Rect( liste[num], i*40, liste[num+1] - liste[num], 40))
		.stringColor_(voicesign.value(orgNotes[i][3]))
		.string_(if(val.isString, {val}, {val.round(0.01).asString})); //(val.asString);
		}
	};
	
	});
*/














/*
aktualisieren =
	Button.new(notwin, Rect(500, 100, 80, 30))
		.states_([["aktualisieren"]])
		.action_({
		notwin.close;
		{chooseBut[fileNum].action.value;}.defer;
		load(direct++"/KlavQuintPart.rtf");
//		~notation.value((File(direct++"/Data/"++files, "r").readAllString).interpret, document, direct);
		});
*/
/*
Button.new(notwin, Rect (400, 20, 80, 20))
	.states_([["Test"]])
	.action_({ recbuf[3].postln; ~cplay.value(recbuf[0], 5.5, 4, 0.5, 0.55, 1)  });
*/
// optionsArray = (File.new(direct++"/Options", "r").readAllString).interpret;


MIDIClient.sources.do{|source|
if(source.device == "UC-33 USB MIDI Controller",
{
Routine{
0.1.wait;

	6.do{|i|
responder = responder.add(CCResponder(	{|src, chn, num, val| 
		{ampslider[i].value = val.value /128;
		ampslider[i].action.value(ampslider[i].value)}.defer;
		},		nil, i, 7, nil ));
	};
	5.do{|i|
responder = responder.add(CCResponder(	{|src, chn, num, val| 
		{voiceDisplay[i].value = val.value /128;
		voiceDisplay[i].action.value(voiceDisplay[i].value)}.defer;
		},		nil, i, 10, nil ));
	
	};
responder = responder.add(CCResponder(	{|src, chn, num, val| 
		{playbut.valueAction_(1)}.defer;
		},		nil, 0, 15, nil ));
responder = responder.add(CCResponder(	{|src, chn, num, val| 
		{playbut.valueAction_(0)}.defer;
		},		nil, 0, 14, nil ));
}.play;
})};


// OSCresponder


resolution = 4092;
mobilxDif = [0.5, 0, 0];
mobilyDif = [0.5, 0, 0];

if(oscMode, {
OSCresponder.new(nil, "/mobile/3", {|tme, resp, msg|
	
	
	if(msg[1] == 0, 
		{	goToNow.value;

	/*	AppClock.sched(0.0,{ arg tme; 
time = startTime[0] + tme - startTime[1] /sloMo.value;
notext.indices.do{|not|
	notext[not].bounds_(
	notext[not].bounds.left_(voice[7][not][0] - time *(horzoom * 10) +100 +10)
			)};
comp2.refresh;
nil;
		});*/
	})	
	
}).add;


OSCresponder.new(nil, "/mobile/0", {|tme, resp, msg|
if(msg[1] == 0, 
		{
		if((tme-mobilTimer)<0.2,
			{case 
				{mobilyValue < (1/6)}
					{
					case 
					{mobilxValue < (1/6)}
						{{buton.valueAction_(buton.value+1 %4) }.defer}
					{mobilxValue < (5/6)}
						{{sloMo.value_(1)}.defer}
					{mobilxValue > (5/6)}
						{{loopInterval.valueAction_(0)}.defer}
				
					}
					
					
				{mobilyValue < (5/6)}
					{{playbut.valueAction_(playbut.value+1%2)}.defer}
				{}
			}
		);
		if (mobilyValue > (5/6))
			{{volumeBut.valueAction_(0)}.defer};

		mobilxDif = [0.5, 0, 0]; mobilxStart = nil;
		mobilyDif = [0.5, 0, 0]; mobilyStart = nil;
		}, {
		mobilTimer = tme;
		getVoice = setVoice;
		
		})
}).add;


// vertikal
OSCresponder.new(nil, "/mobile/1", {|tme, resp, msg|
	mobilxValue = msg[1]/resolution;
	if(mobilxStart.isNil, {mobilxStart = mobilxValue});
	if(mobilyStart.notNil, {

		case 
			{mobilyStart > (5/6)}
				{{// ampslider[5].valueAction_(msg[1]/127)
				ampslider[getVoice].valueAction_(1-(mobilxValue))}.defer}
			{mobilyStart > (1/6)}
				{
				}
			{mobilyStart < (1/6)}
				{
				if(mobilxStart > (1/6))
				{{sloMo.value_(1.5 - (mobilxValue*1.3))}.defer}
				}
		;
		
	});
}).add;



// horizontal
OSCresponder.new(nil, "/mobile/2", {|tme, resp, msg|
	mobilyValue = msg[1]/resolution;
	if(mobilyStart.isNil, {mobilyStart = mobilyValue; if(mobilyValue > (5/6), {{volumeBut.valueAction_(1)}.defer})});

case 
	{mobilyStart > (5/6)} // RIGHT
		{}
	{mobilyStart > (1/6)} // center
		{if(mobilyDif.size > 2,
				{mobilyDif = [mobilyValue, 0]},
				{mobilyDif = [mobilyValue, mobilyDif[0]-mobilyValue]}
				);	
	if((tme-mobilTimer)>0.2, {
		case
			{mobilxStart > (5/6)} // bottom
				{
				{loopInterval.valueAction_(mobilyValue*120/horzoom)}.defer 
				}
			{mobilxStart > (1/6)}	// center
				{

					//	("the X-Values are:"+ mobilxValue).postln;
				time = time - (mobilyDif[1]*mobilyDif[1].abs *1000); // *horzoom
					//		("after"+time).postln;
				{timebox.value_(time)}.defer;
				{timebox.action.value(time)}.defer;}
			{mobilxStart < (1/6)} // top
				{
				{zSlh.valueAction_(zSlh.value - (mobilyDif[1]));}.defer
				}
		})
		}
	{mobilyStart < (1/6)} // LEFT
		{}
}).add;


OSCresponder.new(nil, "/mobile/4", {|tme, resp, msg|
	if(msg[1] == 0,
		{{buton.valueAction_(buton.value + 1 %4)}.defer}
	);
	}).add;

OSCresponder.new(nil, "/mobile/5", {|tme, resp, msg|
	if(msg[1] == 0,
		{
		{volumeBut.valueAction_(0)}.defer;	
		},
		{
		if((orientation/1400).round+2 < 4, {
		{muteButs[(orientation/1400).round+2].valueAction_(muteButs[(orientation/1400).round+2].value + 1 %2)}.defer});
		{volumeBut.valueAction_(1)}.defer;	
		
		}
		
	);
	}).add;

/*
OSCresponder.new(nil, "/mobile/6", {|tme, resp, msg|
	if(msg[1] == 0,
		{{pianoPlayerBut.valueAction_(pianoPlayerBut.value+1 %2)}.defer}
	);
	}).add;
*/

OSCresponder.new(nil, "/mobile/7", {|tme, resp, msg|
	if(msg[1] == 0,
		
		{
		if(orientation.isPositive,
			{{intonationBut.valueAction_(intonationBut.value+1 %2)}.defer},
			{{pianoPlayerBut.valueAction_(pianoPlayerBut.value+1 %2)}.defer})
		}
	);
	}).add;





OSCresponder.new(nil, "/mobile/13", {|tme, resp, msg|
	run[2] = run[2].shift(1, msg[1]);
	if(run[2][0..4].maxItem - run[2][0..4].minItem > 20,
	{shake = 1}, {shake = 0})
}).add;



OSCresponder.new(nil, "/mobile/17", {|tme, resp, msg|
	// msg[1].postln;
	orientation = msg[1];
	if (shake == 0)
	{setVoice = 5}
	{setVoice = 
		case {msg[1] < -1800} {0}
			  {msg[1] <  -800} {1}
			  {msg[1] <   800} {2}
			  {msg[1] < 1800} {3}
			  {msg[1] > 1800} {4}
	};
	
}).add;


});










goToNow = {AppClock.sched(0.0,{ arg tme; 
	time = startTime[0] + (tme - startTime[1] *sloMo.value);
	// [startTime, tme, sloMo.value].postln;
	/* notext.indices.do{|not|
	notext[not].bounds_(
		notext[not].bounds.left_(voice[7][not][0] - time *(horzoom * 10) +100 +10)
		)};*/
	textRefresh.value;
	timebox.value_(time);
	comp2.refresh;
	nil;
		})};
// KEY - CONTROL
UnicodeResponder.clear;
keys = UnicodeResponder; // UnicodeResponder.tester;

// if(language == "english",

// Slots (1-8)
displayModeButs.size.do{|i|
	keys.register(
	[33, [64, 34][language.value], [163, 167][language.value], 36, 37, 94][i]
	// [[33, 64, 163, 36, 37, 94, 38, 42, 40], [33, 34, 167, 36, 37, 94, 38, 42, 40]][language.value][i]
	
	, true,false,false,false, {displayModeButs[i].action.value(1); });
};
keys.register( 82 , true,false,false,false, {gridBut.value = gridBut.value +1%2; gridBut.action.value(gridBut.value); });

keys.register( 77 , true,false,false,false, {buton.valueAction_(buton.value+1 %4) }); // M
// keys.register( 87 , true,false,false,false, {notwin.close }); // W
keys.register( 80 , true,false,false,false, {scoreBut.value = scoreBut.value +1%2; scoreBut.action.value(scoreBut.value); }); // P
keys.register( 112 , false,false,false,false, {pianoPlayerBut.valueAction_(pianoPlayerBut.value+1 %2)}); // p
// {pianoPlayerBut.valueAction_(pianoPlayerBut.value+1 %2)}.defer

// keys.register( 96 , false,false,false,false, {goToNow.value}); // `

keys.register( [122, 121][language.value] , false,false,false,false, {goToNow.value}); // y/z


keys.register( 32 , false,false,false,false, {
	playbut.valueAction_(playbut.value+1 %2) }); // ""
keys.register( 120 , false,false,false,false, {resbut.action.value}); // x

/*keys.register( 125 , true,false,false,false, {ampslider[5].valueAction_(ampslider[5].value+0.05);}); // }
keys.register( 63 , true,false,false,false, {ampslider[5].valueAction_(ampslider[5].value-0.05);}); // ? */

keys.register( 63232 , false,false,false,false, {ampslider[5].valueAction_(ampslider[5].value+0.05);}); // arrowUp
keys.register( 63233 , false,false,false,false, {ampslider[5].valueAction_(ampslider[5].value-0.05);}); // arrowDown

/*
keys.register( 97 , false,false,false,false, {timebox.valueAction_(timebox.value-1);}); // a
keys.register( 115 , false,false,false,false, {timebox.valueAction_(timebox.value+1);}); // s
keys.register( 1 , false,false,false,true, {timebox.valueAction_(bars[bars.indexOfGreaterThan(timebox.value)-1]-0.02);}); // ctrl_a
keys.register( 19 , false,false,false,true, {timebox.valueAction_(bars[bars.indexOfGreaterThan(timebox.value)+1]-0.02);}); // ctrl_s
keys.register( 65 , true,false,false,false, {timebox.valueAction_(timebox.value-10);}); // A
keys.register( 83 , true,false,false,false, {timebox.valueAction_(timebox.value+10);}); // S
*/

// navigation
keys.register( 63234 , false,false,false,false, {timebox.valueAction_(timebox.value-1);}); // left
keys.register( 63235 , false,false,false,false, {timebox.valueAction_(timebox.value+1);}); // right
keys.register( 63234 , false,false,false,true, {timebox.valueAction_(bars[bars.indexOfGreaterThan(timebox.value)-1]-0.02);}); // ctrl_left
keys.register( 63235 , false,false,false,true, {timebox.valueAction_(bars[bars.indexOfGreaterThan(timebox.value)+1]-0.02);}); // ctrl_right
keys.register( 63234 , false,false,true,false, {timebox.valueAction_(timebox.value-10);}); // alt_left
keys.register( 63235 , false,false,true,false, {timebox.valueAction_(timebox.value+10);}); // alt_right


keys.register( 119 , false,false,false,false, {notwin.close}); // w
keys.register( 87 , true,false,false,false, {notwin.close}); // W
// keys.register( 81 , true,false,false,false, {notwin.close}); // Q

keys.register( 118 , false,false,false,false, {volumeBut.valueAction_(volumeBut.value+1 %2) }); // v
keys.register( 105 , false,false,false,false, {infoBut.valueAction_(infoBut.value+1 %2) }); // i
keys.register( 104 , false,false,false,false, {helpBut.valueAction_(helpBut.value+1 %2) }); // h
// keys.register( 116 , false,false,false,false, {pianoTempiButton.valueAction_(pianoTempiButton.value+1 %2) }); // t
keys.register( 116 , false,false,false,false, {intonationBut.valueAction_(intonationBut.value+1 %2) }); // t

// zoom
keys.register(   63234  ,   true, false, false, false, {zSlh.valueAction_(zSlh.value - 0.025)}); // shift_left
keys.register(   63235  ,   true, false, false, false, {zSlh.valueAction_(zSlh.value + 0.025)}); // shift_right


saveView = {
var options;
optionsArray[fileNum] = [time, [upperLimit].addAll(upperVoiceLimit), horzoom, [zoom].addAll(voiceZoom), displayMode, voiceAlpha, loud];
options = File.new(direct++Platform.pathSeparator++"Options", "w");
	options.write(optionsArray.asCompileString);
	options.close;
};


/* ~createMidi = {
var midFile;
midFile = SimpleMIDIFile(direct++"/"++files++".mid");

midFile.init1(6, 60, "4/4");
midFile.timeMode = \seconds;
// midFile.pitchBendMode = \float;
// midFile.addMetaEvent([1, 0, \instName, "Violin"]);
midFile.addMIDIEvent([ 1, 0, \program, 1, 40 ]); //violin 
midFile.addMIDIEvent([ 2, 0, \program, 2, 40 ]); //violin 
midFile.addMIDIEvent([ 3, 0, \program, 3, 40 ]); //violin 
midFile.addMIDIEvent([ 4, 0, \program, 4, 40 ]); //violin 
midFile.addMIDIEvent([ 5, 0, \program, 5, 0 ]); //piano 

notepos.do{|note, i|

	if(note[2].isString || note[4].isNil, {}, {
	midFile.addNote(note[1][0], note[4][0]*127, note[0], note[2], track: note[3], channel: note[3]);
//	if(note[1][0]%1 < 0.5, {midFile.addMIDIEvent([ note[3], note[0], \pitchBend, note[3],  note[1]%1])},
//		 {midFile.addMIDIEvent([ note[3], note[0], \pitchBend, note[3],  note[1]%1 -1])});
	case {note[5] == "pizz"} {midFile.addMIDIEvent([ note[3], note[0], \program, note[3], 45 ]);};
	})
};
midFile.adjustEndOfTrack;
midFile.midiEvents.dopostln;
midFile.write;
}; */
// ~createMidi.value;


/*
fullScreenModeBut = Button.new(notwin, Rect(200, 120, 120, 20))
	.states_([["FullScreen"], ["NormScreen"]])
	.action_({|num|
	if(num.value == 1,
		{notwin.fullScreen},
		{notwin.endFullScreen; notwin.bounds = Rect(100, 10, 900, 700)})
	});
*/

notwin.onClose_({
	// routSyns.do{|syn| syn.free};
//	thisProcess.stop; 
//	Buffer.freeAll;
//	~midi.allNotesOff;
	responder.do{|res| res.remove};
	OSCresponder.removeAddr(nil);
	UnicodeResponder.clear;
	saveView.value;
	if(pianoPlayer.notNil, {pianoPlayer.close});
	if(infoWin.notNil, {infoWin.close});
	if(intonationWin.notNil, {intonationWin.close});
	if(volumeView.notNil, {volumeView.close});
	if(helpView.notNil, {helpView.close});
if(editMode, {},  {~chooseDialog.value(wkDir)});
	
		});
// document.toFrontAction = {~notwinExport = notwin};
~notwinExport = notwin;


// Routine{

/* singl,
multp,
helpArr,
findArr*/



if(documentSearch == 1, {
if(false,
{ // CHANGESTART

findArr = [0];
"kapiert?".postln;

// ~fileFrame = document.string.findRegexp(files);
fileFrame = document.string.findRegexp(files);
"fileFrame".postln;
// document.selectRange(document.string.find(files));
docIn =nil;
multp =nil;

docIn = document.string(fileFrame[0][0], fileFrame[1][0]-fileFrame[0][0]).findRegexp(".do\\{\\|i\\|"); // "
// docIn = document.string(fileFrame[0][0], fileFrame[1][0]-fileFrame[0][0]).findAll(".do\\{\\|i\\|"); // "
"i lesen".postln; docIn.postln;

//0.1.wait;
multp = Array.fill(docIn.size, {|i| [docIn[i][0] + fileFrame[0][0], docIn[i][1]]});
// multp = Array.fill(docIn.size, {|i| [docIn[i][0] + fileFrame[0][0], docIn[i][1]]});
"i schreiben".postln;
// multp.size.postln;
stopper = 0;
while({(multp.size -1 %255 == 0) && (stopper < 18)}, {
helpArr = document.string(multp.reverse[0][0], fileFrame[1][0]-multp.reverse[0][0]).findRegexp(".do\\{\\|i\\|"); // "
"i lesen2".postln;
helpArr = Array.fill(helpArr.size-1, {|i| [helpArr[i+1][0] + multp.reverse[0][0], helpArr[i+1][1]]});
"i schreiben2".postln;
multp = multp.addAll(helpArr);
("i addieren"+stopper).postln;
stopper = stopper + 1;
});



helpArr = document.string(fileFrame[0][0], fileFrame[1][0]-fileFrame[0][0]).findRegexp(".do\\{\\|voice\\|"); // "
// helpArr = document.string(fileFrame[0][0], fileFrame[1][0]-fileFrame[0][0]).findAll(".do\\{\\|voice\\|"); // "
"voice lesen".postln;
//0.05.wait;
helpArr = Array.fill(helpArr.size, {|i| [helpArr[i][0] + fileFrame[0][0], helpArr[i][1]]});
"voice helpArr".postln;
multp = multp.addAll(helpArr);


docIn = document.string(fileFrame[0][0], fileFrame[1][0]-fileFrame[0][0]).findRegexp("notes.add");
"notes lesen".postln;
// 0.1.wait;
singl = Array.fill(docIn.size, {|i| [docIn[i][0] + fileFrame[0][0], docIn[i][1]]});
"notes schreiben".postln;
stopper = 0;
// while({singl.size -1 %99 == 0}, {
while({(singl.size -1 %255 == 0) && (stopper < 18)}, {
helpArr = document.string(singl.reverse[0][0], fileFrame[1][0]-singl.reverse[0][0]).findRegexp("notes.add");
"notes lesen2".postln;
helpArr = Array.fill(helpArr.size-1, {|i| [helpArr[i+1][0] + singl.reverse[0][0], helpArr[i+1][1]]});
"notes schreiben2".postln;
singl = singl.addAll(helpArr);
("notes addieren"+stopper).postln;
stopper = stopper + 1;
});


// singl = document.string.findAllRegexp("notes.add");
// singl = Array.fill(singl.size, {|i| singl[i][0]});

helpArr = multp.addAll(singl);
helpArr.sort({arg first, second; first[1] < second[1]});
"helpArr Sortieren1".postln;
helpArr.sort({arg first, second; first[0] < second[0]});
"helpArr Sortieren2".postln;
// helpArr.do{|num| if(found > num[0], {num.remove})};

"kapiert!".postln;


helpArr.do{|arr, i| // arr.postln;
		if(arr[1] == "notes.add", 
			{findArr = findArr.add(findArr.reverse[0])
			},
			{
				if(arr[1] == ".do{|i|", 
			//	if(arr[1] == ".do\\{\\|i\\|", //"
					{
					if(helpArr[i-1][1] == ".do{|voice|",
			//		if(helpArr[i-1][1] == ".do\\{\\|voice\\|",
							{document.string(helpArr[i-1][0] -2, 2).interpret}, {1})
						.do{
							(document.string(arr[0] -2, 2).interpret -1).do{
							findArr = findArr.add(findArr.reverse[0] +1)}
							}
					},
					{
					(document.string(arr[0] -2, 2).interpret -1).do{
					findArr = findArr.add(findArr.reverse[0] +1)}
					}
				)
			}
		)
		};
// }.play(AppClock);
} // CHANGEEND


,{ // V1 START
findArr = [0];
// "kapiert?".postln;

fileFrame = document.string.findAll(files);


// "fileFrame".postln;
docIn =nil;
multp =nil;



docIn = document.string(fileFrame[0], fileFrame[1]-fileFrame[0]).findAll(".do{|i|"); // }
// "i lesen".postln; docIn.postln; docIn.size.postln;

multp = Array.fill(docIn.size, {|i| [docIn[i] + fileFrame[0], ".do{|i|"]});
// "i schreiben".postln;
stopper = 0;


helpArr = document.string(fileFrame[0], fileFrame[1]-fileFrame[0]).findAll(".do{|voice|"); // }
// "voice lesen".postln;
helpArr = Array.fill(helpArr.size, {|i| [helpArr[i] + fileFrame[0], ".do{|voice|"]});
// "voice helpArr".postln;
multp = multp.addAll(helpArr);


docIn = document.string(fileFrame[0], fileFrame[1]-fileFrame[0]).findAll("notes.add");
// "notes lesen".postln;
// 0.1.wait;
singl = Array.fill(docIn.size, {|i| [docIn[i] + fileFrame[0], "notes.add"]});
// "notes schreiben".postln;
stopper = 0;

// singl = document.string.findAllRegexp("notes.add");
// singl = Array.fill(singl.size, {|i| singl[i][0]});

helpArr = multp.addAll(singl);
helpArr.sort({arg first, second; first[1] < second[1]});
helpArr.sort({arg first, second; first[0] < second[0]});
// helpArr.do{|num| if(found > num[0], {num.remove})};

// "kapiert!".postln;


helpArr.do{|arr, i| // arr.postln;
		if(arr[1] == "notes.add", 
			{findArr = findArr.add(findArr.reverse[0])
			},
			{
				if(arr[1] == ".do{|i|", // }
					{
					if(helpArr[i-1][1] == ".do{|voice|", // }
							{document.string(helpArr[i-1][0] -2, 2).interpret}, {1})
						.do{
							(document.string(arr[0] -2, 2).interpret -1).do{
							findArr = findArr.add(findArr.reverse[0] +1)}
							}
					},
					{
					(document.string(arr[0] -2, 2).interpret -1).do{
					findArr = findArr.add(findArr.reverse[0] +1)}
					}
				)
			}
		)
		};
// V2 END
}
)
;
});

// helpArr.size.postln;
// findArr.postln;
findNote = {|note|
var
found;
// [singl.size, findArr.size, findArr[note], note - findArr[note]].postln;
// singl[note - findArr[note]].postln;
found = singl[note - findArr[note]][0];

document.selectRange(found, 9);
document.front;
};


// Grundeinstellungen
/*
Routine{
var allesKlar;
allesKlar = GUI.staticText.new(notwin, Rect(150, 200, 950, 600)).string_("ALLES KLAR").font_(Font("Helvetica", 150));
allesKlar.visible_(true); 0.8.wait;
allesKlar.visible_(false);
allesKlar.remove;
}.play(AppClock);
GUI.staticText.new(notwin, Rect(1050, 20, 180, 20)).string_("ALLES KLAR").font_(Font("Helvetica", 20));
*/
//  

// infoBut.valueAction_(1);
notwin.front;
if(editMode, {{infoBut.valueAction_(1)}.defer},  {});

};


// d = Document.current;



// editMode = false;
if(editMode, {},  {~chooseDialog.value(wkDir)});
