40.do{Buffer.alloc(s, 2048*4, 1);}



16.do({ arg i;
	var a, n;
	// s.sendMsg(\b_alloc, i, 1024); // allocate table
	// generate array of harmonic amplitudes
  n = [1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3,
	0.3, 0.25, 0.2, 0.18]//0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
				;					
	// n = (i+1)**2;
	a = Array.fill(n.size, {|harm| (600+(800*harm)/600).reciprocal*n[harm]*((i/15+0.5)**(harm+0))});
	// fill table
	s.performList(\sendMsg, \b_gen, i, \sine1, 7, a);
});


SynthDef("help-VOsc",{ arg out=0, bufoffset=0;
	var x;
	// mouse x controls the wavetable position
	x = MouseX.kr(0,15);
	Out.ar(out,
		VOsc.ar(bufoffset+x, MouseY.kr(440, 500), 0, 0.3)
	)
}).send(s);


// PLAY WAVETABLE
x = Synth('help-VOsc', [\out, 0, \bufoffset, 0]);
x.free

Buffer.freeAll


20.do{|i| s.sendMsg(\b_free, i)}

s.sendMsg(\b_alloc, 1, 1024); // allocate table



(
SynthDef(\arcoTest, {
	arg out = 0, freq1 = 500, freq2 = 400, amp = 0.3, amp2 = 0.1, color1=0.5, color2=1.4;
	
	var signal, harmonic;
	
	// env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);
	harmonic = 
[	1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3,
	0.3, 0.25, 0.2, 0.18]//0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
	;
	signal = {|i| BPF.ar(WhiteNoise.ar(amp*7), MouseY.kr(freq1*(i+1), freq2*(i+1), 0), 0.003,
	(600+(freq1*i)/600).reciprocal*MouseX.kr(color1**(i+0), color2**(i+0), 0)
	*harmonic[i])}.dup(17);

	signal = Mix.new(signal);
	// signal = Mix.new(signal.add(LFPar.ar(MouseY.kr(freq1, freq2, 0), 0, amp*(0.225*thresh(1-MouseX.kr(color1, color2, 0), 0)))));
   // signal = Mix.new([signal, 		]);
	Out.ar(out, signal.dup(2))
	}).play; 
)



(
SynthDef(\arcoMake, {
	arg out = [0], freq1 = 440, freq2 = 500, amp1 = 0.5, amp2 = 0.1, genamp = 1,  attack = 0.00, sustain = 1, release = 0.00, color1=0.8, color2=1.4, rate =1, inbuf =0;
	
	var range, env, signal;
	
	// env = EnvGen.kr(Env.new([0, 1, 1, 0], [attack, sustain, release]), doneAction: 2);

[	1, 
	0.9, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3, 0.3,
	0.3, 0.25, 0.2, 0.18]//0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
									
.do{|harmonic, i|
	signal = signal.add(
	BPF.ar(WhiteNoise.ar(Line.kr(amp1, amp2, sustain)*7), XLine.kr(freq1*(i+1), freq2*(i+1), sustain), 0.003,
	(600+(freq1*i)/600).reciprocal*Line.kr(color1**(i+0), color2**(i+0), sustain)
	*harmonic)
	)};
	signal = Mix.new(signal);
/*	
	signal = BrownNoise.ar(Line.kr(amp1, amp2, sustain) /3 /(range+0.01));
	signal = BPF.ar(signal, XLine.kr(freq1, freq2, sustain), Lag.kr(range, 0.3));
*/
//   signal = Mix.new([signal, LFPar.ar(XLine.kr(freq1, freq2, sustain), 0, 0.045)]);
   signal = Mix.new([signal, 
   		LFPar.ar(
   			XLine.kr(freq1, freq2, sustain), 
   			0, 
   			Line.kr(amp1, amp2, sustain)*(0.225*thresh(1-Line.kr(color1, color2, sustain), 0)))
   			]);
   // signal = Mix.new([signal, 0]); 

	// signal = Pan2.ar(signal) *env;
	
	// BufWr.ar(signal, inbuf, Phasor.ar(signal, BufRateScale.kr(0) * rate, 0, BufFrames.kr(0)), 1);
	RecordBuf.ar(signal, inbuf, 0, 1, 0.0, 1, 0, 0, 2);
	0.0 //quiet
	// Out.ar(out, genamp * signal)
	}).send(s); 
)

~fill.(11)

s.cachedBuffersDo{|buf| buf.zero};

~fill = {|num, sRate = 2048|
[num].do{|i|
Synth(\arcoMake, [
	\freq1, s.sampleRate / sRate,
	\freq2, s.sampleRate / sRate,
	\amp1, 0.2,
	\amp2, 0.2,
	\color1, i/16 +0.5, // 1.2, // 
	\color2, i/16 +0.5, // 1.2, //
	\inbuf, i,
	\sustain, 1,
])
}};

16.do{|i| ~fill.(i, 2048)};
s.cachedBuffersDo{|buf| buf.normalize};
// PLAY BUFFER
~showBuf.(4)
y.free
// ~showBuf = {|num| s.cachedBufferAt(num).plot; y = {PlayBuf.ar(1, s.cachedBufferAt(num), loop:1)}.play};

// PLAY WAVETABLE
x.free; x = Synth('help-VOsc', [\out, 0, \bufoffset, 0]);
x.free

// COMPARE
x.free; x = Synth('arcoTest', [\amp1, 0.3])
x.free


z.free
(
y = { arg rate=1; 
	var in;
	in = SinOsc.ar(LFNoise1.kr(2, 300, 400), 0, 0.1);
	BufWr.ar(in, 0, Phasor.ar(0, BufRateScale.kr(0) * rate, 0, BufFrames.kr(0)), 0);
	0.0 //quiet
}.play;
)
y.free
//read it with a BufRd

x = { arg rate=1; BufRd.ar(1, 0, Phasor.ar(0, BufRateScale.kr(0) * rate, 0, BufFrames.kr(0)))}.play(s);
x = { arg rate=1; PlayBuf.ar(1, 0, rate, 0, 0, 1, 2)}.play(s);

x.free





