SynthDef.new(\pianoOld, {arg out = [0, 1], freq1 = 1, freq2, amp1 = 0.1, amp2 = 0.01, genamp = 1, sustain = 2;
	var signal, hit, env, harmonic;
env = EnvGen.kr(Env.new([0, amp1, 0], [0.5, sustain]), doneAction: 2);
//	env = EnvGen.kr(Env.new([0, amp1, amp2, 0], [attack, sustain, 0.05], [1, -3, 1]), doneAction: 2);
// harmonic = 
	[0.8, 
	1, 0.8,
	0.8, 0.6, 0.5, 0.4,
	0.3, 0.25, 0.2, 0.15, 0.1] // , 0.3, 0.3, 0.3] 
//	0.3, 0.25, 0.2, 0.18, 0.15, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
.do{|harmonic, i|
//	signal = signal.add(SinOsc.ar(XLine.kr(freq1*i, freq2*i, sustain), 0, 
	signal = signal.add(SinOsc.ar(freq1*(i+1), 0, (300+(freq1*(i+1))/300).reciprocal*harmonic)
		*EnvGen.kr(Env.new(
			[0, amp1, amp2, 0], 
			[0.001*i, sustain, 0.05], // [attack+(i*0.0005), sustain, 0.05], 
			[1, 0-i*2, 1]
			))
	;)};
signal = Mix.new(signal);
/*
signal = Mix.new(Array.fill(12, {|i| SinOsc.ar(freq1*(i+1))
		*EnvGen.kr(Env.new(
			[0, (100+(freq1*(i+1))/100).reciprocal*harmonic[i], 0.005, 0], 
			[0.004, sustain, 0.05], // [attack+(i*0.0005), sustain, 0.05], 
			[1, 0-2-((i+1)*1.5), 1]
			))}))
	;*/

	signal = BPF.ar(signal, 300, 5, 0.1) *(freq1/200+2);
	signal = Pan2.ar(signal);
/*
hit = Mix.new(Array.fill(3, {Saw.ar(freq1/2 +30 + 30.rand, 0/30)})) 
		* EnvGen.kr(Env.perc(0.003, 0.025, 1, \sine));
	hit = Mix.new([hit, BPF.ar(WhiteNoise.ar(amp1*0.004*(400+freq1/400)), 1500 + freq1, 2)
	* EnvGen.kr(Env.perc(0.005, 0.006, 1, \sine))]);

	hit = hit * EnvGen.kr(Env.perc(0.003, 0.025, 1, \sine));
		
signal = Mix.new([hit, signal]);
*/
	Out.ar(out, genamp *signal)}).load(s);



SynthDef.new(\piano, {|out =0, freq1 = 440, freq2 = 440, amp1 = 0.5, amp2 = 0.0, gate =1, sustain = 4|
	var signal, env;
	env = EnvGen.kr(Env.new([0, amp1, amp1, 0], [0.0, sustain*0.95, sustain*0.4]), doneAction: 2);
	signal = MdaPiano.ar(freq1, gate, 100, sustain*0.5, sustain, sustain:1);
	
	Out.ar(out, signal*env*0.6)}).send(s);

/*
Synth(\piano, [\freq1, 27.midicps])
*/