SynthDef.new(\pianoFlag, {arg out = [0, 1], freq1 = 1, freq2 = 1, amp1 = 0.1, amp2 = 0.001, genamp = 1, attack = 0.003, sustain = 2, flag = 2, precision = 0.5;
	var signal, hit, env, harmonic;
//	env = EnvGen.kr(Env.new([0, amp1, 0], [attack, sustain]), doneAction: 2);
env = EnvGen.kr(Env.new([0, amp1, amp2, 0], [attack, sustain, 0.05], [1, -3, 1]), doneAction: 2);
harmonic = [0.8, 
	1, 0.8,
	0.8, 0.7, 0.6, 0.5,
	0.4, 0.3, 0.3, 0.3, 0.3, 0.3];
	// , 0.3, 0.3, 
//	0.3, 0.25, 0.2, 0.18, 0.15]; //, 0.12, 0.1, 0.09, 0.08, 0.07, 0.07, 0.05, 0.04, 0.03, 0.02
harmonic.do{|harmonic, i|
//	signal = signal.add(SinOsc.ar(XLine.kr(freq1*(i+1)), freq2*(i+1), sustain), 0,) 
	signal = signal.add(
	SinOsc.ar(freq1*(i+1), 0, harmonic*thresh(1-abs(i+1-flag*precision), 0))
//	SinOsc.ar(freq1*(i+1), 0, 0.40)
	*EnvGen.kr(Env.new(
	[0, amp1, amp2, 0], 
	[attack+(i*0.001), sustain, 0.05],
	[1, 0, 1]))
	)};

	signal = Mix.new(signal)*4;
	signal = BPF.ar(signal, 100, 5, 0.1) *(freq1/100+6);
	signal = Pan2.ar(signal);
/*
	hit = Mix.new(Array.fill(8, {Saw.ar(freq1/2 +30 + 30.rand, 0/30)})) 
		* EnvGen.kr(Env.perc(0.003, 0.025, 1, \sine));
	hit = Mix.new([hit, BPF.ar(WhiteNoise.ar(amp1*0.004*(400+freq1/400)), 1500 + freq1, 2)
									* EnvGen.kr(Env.perc(0.005, 0.006, 1, \sine))]);

	hit = hit * EnvGen.kr(Env.perc(0.003, 0.025, 1, \sine));
*/	
	
//	signal = Mix.new([hit, signal]);
	Out.ar(out, genamp *signal)}).load(s);
