SynthDef.new(\pianoRicc, {arg out = [0, 1], freq1 = 1, freq2 = 1, amp1 = 0.1, amp2 = 0.1, genamp = 1, attack = 0.04, sustain = 2;
	var signal, env;
//	env = EnvGen.kr(Env.new([0, amp1, 0], [attack, sustain]), doneAction: 2);
	env = EnvGen.kr(Env.new([0, amp1, amp2, 0], [attack, sustain, 0.05]), doneAction: 2);
	signal = Saw.ar(XLine.kr(freq1, freq2, sustain), mul: env /3 *Saw.kr(12, 0-1, 0));
	signal = Pan2.ar(signal);
	Out.ar(out, genamp * signal)}).load(s);
